Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 22894)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 22895)
@@ -8,7 +8,7 @@
 <TutorialList>
 <Title>
-<Text id="0001">Greenstone tutorial exercises (May 2009)</Text>
+<Text id="0001">Greenstone tutorial exercises (October 2010)</Text>
 </Title>
-<Version current="2.82"/>
+<Version current="2.84"/>
 <SupplementaryText>
 <Text id="title">Greenstone tutorial exercise</Text>
@@ -376,5 +376,5 @@
 <Text id="0193">Installing Greenstone</Text>
 </Title>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <Heading>
@@ -399,8 +399,9 @@
 <NumberedItem>
 <Text id="0201">From <Link>http://www.greenstone.org/download</Link></Text>
-<Text id="0202">Most people download the Windows distribution from <Link>http://www.greenstone.org/download</Link>, which contains the latest version of Greenstone. There are several optional modules that must be downloaded separately (to avoid a single massive download): <b>documented example collections</b>, the <b>Export to CD-ROM</b> package (Greenstone 2.70 and earlier), the <b>Greenstone Language Pack</b> (Greenstone 2.62 and earlier) and <b>Classic Interface Pack</b> (Greenstone 2.63 and later). There is also the set of <b>sample files</b> used in these exercises. (To reduce the download size the documented example collections are distributed in unbuilt form and need to be built.)</Text>
-<Text id="0203">You need <b>Java</b> to run Greenstone. You might already have it; otherwise download it from <Link>http://java.sun.com</Link>. To work with image collections, you need <b>ImageMagick</b> (from <Link>http://www.imagemagick.org</Link>).</Text>
-</NumberedItem>
-<Text id="0204">Most Greenstone CD-ROMs start the installation process as soon as they are inserted into the drive, assuming that the AutoPlay feature is enabled on your computer. If installation does not begin by itself, locate the file <i>setup.exe</i> and double click it to start the installation process. (On the IMARK CD-ROM this file resides in the folder <Path>software_tools &rarr; Greenstone</Path>). If you download Greenstone over the web, what you get is the installer&mdash;just double-click it.</Text>
+<Text id="0202">Most people download the Windows distribution from <Link>http://www.greenstone.org/download</Link>, which contains the latest version of Greenstone. </Text>
+<Text id="0202a">To avoid a single massive download the <b>documented example collections</b> can be downloaded separately. To reduce the download size these collections are distributed in unbuilt form and need to be built.</Text>
+<Text id="0202b">There is also the set of <b>sample files</b> used in these exercises.</Text>
+</NumberedItem>
+<Text id="0204">Most Greenstone CD-ROMs start the installation process as soon as they are inserted into the drive, assuming that the AutoPlay feature is enabled on your computer. If installation does not begin by itself, locate the file <i>setup.exe</i> on the CD and double click it to start the installation process. (On the IMARK CD-ROM this file resides in the folder <Path>software_tools &rarr; Greenstone</Path>). If you download Greenstone over the web, what you get is the installer&mdash;just double-click it.</Text>
 <Text id="0206"><b>If Greenstone has been installed on your computer before, you should completely remove the old version before installing a new one</b>. (However, you need not remove any pre-packaged collections that you may have installed.) To do this, see <TutorialRef id="update_greenstone_installation"/>.</Text>
 <Text id="0207">Here is what you need to do to install Greenstone. Older versions of the installer follow much the same sequence but use slightly different wording.</Text>
@@ -422,7 +423,4 @@
 </Bullet>
 <Bullet>
-<Text id="0213">(For older installers you must now select collections. Leave at the default, Documented Example Collections, and click &lt;<b>Next</b>&gt;)</Text>
-</Bullet>
-<Bullet>
 <Text id="0214">Enable administration pages. Read the description on this page, if you check to enable, click &lt;<b>Next</b>&gt; to set admin password. Choose a suitable password and click &lt;<b>Next</b>&gt; (If your computer will not be serving collections online, the password doesn't matter)</Text>
 </Bullet>
@@ -434,50 +432,9 @@
 </Bullet>
 <Bullet>
-<Text id="0217">Installation is complete. We have changed to a new installer in 2008. This installer will automatically install ImageMagick and GhostScript. However, if you are installing from a CD-ROM, the installer will offer to install ImageMagick (see below), and Java, if necessary.</Text>
+<Text id="0217">Installation is complete.</Text>
 </Bullet>
 </BulletList>
-<Text id="0218">To invoke the Greenstone Reader's interface, go to the <i>Greenstone Digital Library Software</i> item under <i>Programs</i> on the Windows <i>Start</i> menu and select <i>Greenstone Digital Library</i>. To invoke the Librarian interface, go to the same item and select <i>Greenstone Librarian Interface</i>.</Text>
-<Heading>
-<Text id="0219">Installing ImageMagick on a Windows system</Text>
-</Heading>
-<Text id="0220">Once Greenstone has been installed, you should ensure that ImageMagick is installed on your computer if you wish to build any image collections. If you are installing from a Greenstone CD-ROM, you will be asked whether you want to install ImageMagick: say <b>Yes</b>. If you are not, you will need to download ImageMagick (from <Link>http://www.imagemagick.org</Link>). To install this program you must have Windows "Administrator" privileges. (If you do not have Windows Administrator privileges, the ImageMagick installer will give a cryptic error complaining that it failed to set a particular Windows registry value. If this happens you can continue your work with Greenstone, but you will not be able to build collections of images.)</Text>
-<Text id="0221">The remaining steps are straightforward, and, as before, we recommend the default settings. Here is what you need to do.</Text>
-<BulletList>
-<Bullet>
-<Text id="0222">"This will install ImageMagick 5.5.7 Q8. Do you wish to continue?" <b>Yes</b></Text>
-</Bullet>
-<Bullet>
-<Text id="0223">"Welcome to the ImageMagick Setup Wizard Click &lt;<b>Next</b>&gt;"</Text>
-</Bullet>
-<Bullet>
-<Text id="0224">"Information: Please read the following ..." Click &lt;<b>Next</b>&gt;</Text>
-</Bullet>
-<Bullet>
-<Text id="0225">"Select Destination Directory ..." Leave at default and click &lt;<b>Next</b>&gt;</Text>
-</Bullet>
-<Bullet>
-<Text id="0226">"Select Start Menu Folder ..." Leave at default and click &lt;<b>Next</b>&gt;</Text>
-</Bullet>
-<Bullet>
-<Text id="0227">"Select Additional Tasks ..." Leave at default and click &lt;<b>Next</b>&gt;</Text>
-</Bullet>
-<Bullet>
-<Text id="0228">"Ready to Install". Click &lt;<b>Install</b>&gt;</Text>
-</Bullet>
-<Bullet>
-<Text id="0229">Files are copied across</Text>
-</Bullet>
-<Bullet>
-<Text id="0230">"You have now installed ..." Click &lt;<b>Next</b>&gt;</Text>
-</Bullet>
-<Bullet>
-<Text id="0231">"Setup has finished ...". Deselect "View index.html" and click &lt;<b>Finish</b>&gt;.</Text>
-</Bullet>
-</BulletList>
-<Heading>
-<Text id="0231a">Installing Ghostscript on a Windows system</Text>
-</Heading>
-<Text id="0231b">If you wish to do advanced conversion of PDF and Postscript documents (as described in exercise <TutorialRef id="enhanced_pdf"/>), you will need to install Ghostscript. If you are installing from a Greenstone CD-ROM you will automatically be prompted for this; the procedure is analogous to that described above for ImageMagick. If not, you will need to download Ghostscript from <Link>http://www.cs.wisc.edu/~ghost/</Link> (follow the link to the current stable release).</Text>
-<Text id="0231c">If you are not sure whether you will need Ghostscript or not, you might as well install it anyway&mdash;it will do no harm.</Text>
+<Text id="0218">To invoke the Greenstone Reader's Interface, go to the <i>Greenstone-2.84</i> item under <i>All Programs</i> on the Windows <i>Start</i> menu and select <i>Greenstone Server</i>, once the server window is displayed click &lt;<b>Enter Library</b>&gt;.</Text>
+<Text id="0219">To invoke the Greenstone Librarian Interface, go to the same item and select <i>Librarian Interface (GLI)</i>.</Text>
 </Content>
 </Tutorial>
@@ -487,5 +444,5 @@
 </Title>
 <Prerequisite id="install_greenstone"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <Comment>
@@ -533,53 +490,4 @@
 <NumberedItem>
 <Text id="0247">If you have installed collections from pre-packaged Greenstone CD-ROMs, they reside in a different place: <i>C:\GSDL\collect</i>. To amalgamate these with your main Greenstone installation, move them into the folder <i>Program Files\Greenstone\collect</i>. The mini version of Greenstone that is associated with the pre-packaged collections is no longer necessary. To uninstall it, select <i>Uninstall</i> on the Greenstone menu of the Windows <i>Start</i> menu.</Text>
-</NumberedItem>
-<Heading>
-<Text id="0248">Installing the Greenstone language pack (2.62 and earlier)</Text>
-</Heading>
-<Comment>
-<Text id="0249">If you go to the Preferences page of any Greenstone collection, and look at the <b>Interface language</b> menu, you will probably find that only English, Spanish, French and Russian interfaces are installed.</Text>
-</Comment>
-<NumberedItem>
-<Text id="0250">Locate the Greenstone Language Pack (glp-x.xx.exe/glp-x.xx-linux.bin/gli-x.xx-macOSx.command). This may be on the CD-ROM from which you installed Greenstone, or you may have to download it from <Link>http://www.greenstone.org</Link>. </Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0251">Run the executable file (double click it on Windows); this will start the installer. Accept all the defaults</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0252f">Restart the Greenstone Digital Library and look at the interface language menu again. Now you should see about 40 different languages.</Text>
-</NumberedItem>
-<Heading>
-<Text id="0252z">Enabling other languages (2.63 and later)</Text>
-</Heading>
-<Comment>
-<Text id="0252y">If you have downloaded Greenstone from the web, then all the languages will be enabled by default. However, if you have installed Greenstone from a UNESCO CD-ROM, then only English, French, Spanish and Russian will be enabled.</Text>
-</Comment>
-<NumberedItem>
-<Text id="0252x">To enable a new language, edit the file <Path>greenstone &rarr;etc &rarr;main.cfg</Path>. Look for the appropriate <AutoText text="Language" type="quoted"/> line, and uncomment it (i.e. remove the # from the start). Check that the required encoding is also enabled.</Text>
-<Text id="0252w">For example, suppose that we want to enable Turkish. The <AutoText text="Language" type="quoted"/> line for Turkish looks like:</Text>
-<Format>#Language shortname=tr longname=Turkish default_encoding=windows-1254</Format>
-<Text id="0252v">To enable it, we remove the #, i.e. make it look like:</Text>
-<Format>Language shortname=tr longname=Turkish default_encoding=windows-1254</Format>
-<Text id="0252p">The default encoding for Turkish is windows-1254. So we look for the windows-1254 Encoding line:</Text>
-<Format>Encoding shortname=windows-1254 "longname=Turkish (Windows-1254)" map=win1254.ump</Format>
-<Text id="0252u">This is already enabled (no # at the start) so we don't need to do anything else.</Text>
-</NumberedItem>
-<Heading>
-<Text id="0252a">Installing the Classic Interface Pack (2.63 and later)</Text>
-</Heading>
-<Comment>
-<Text id="0252b">Greenstone now comes with all languages enabled. The generated HTML uses text + CSS rather than images for navigation bar, home, help, preferences buttons etc. The classic interface pack is not needed if you want to use Greenstone in another language. It is only needed if you want to revert back to the old style HTML with text images. This may be useful if you have customized your Greenstone, or if you require compatibility with Netscape 4.</Text>
-</Comment>
-<NumberedItem>
-<Text id="0252c">Locate the Classic Interface Pack (gcip-x.xx.zip). This may be on the CD-ROM from which you installed Greenstone, or you may have to download it from <Link>http://www.greenstone.org</Link>. </Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0252d">The classic interface pack is a zip file containing the old text images, such as classifier buttons. Unzip the zip file into the images directory of your Greenstone installation.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="1252e">Enable the use of the old-style macros by editing <Path>greenstone &rarr; etc &rarr; main.cfg</Path>: replace <AutoText text="nav_css.dm" type="quoted"/> with <AutoText text="nav_ns4.dm" type="quoted"/> in the <AutoText text="macrofiles" type="quoted"/> list.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0252">Restart the Greenstone Digital Library. It should now be using the old text images.</Text>
 </NumberedItem>
 </Content>
@@ -590,5 +498,5 @@
 </Title>
 <SampleFiles folder="simple_html"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <Comment>
@@ -601,7 +509,8 @@
 <Text id="0255">Start the Greenstone Librarian Interface:</Text>
 <Menu>
-<Text id="0255a">Start &rarr; All Programs &rarr; Greenstone 2.82 &rarr; Librarian Interface (GLI)</Text>
+<Text id="0255a">Start &rarr; All Programs &rarr; Greenstone-2.84 &rarr; Librarian Interface (GLI)</Text>
 </Menu> 
 <Comment>
+<Text id="0255b">If you are using Windows Vista or Windows 7 and have installed Greenstone into the default location (i.e. C:\Program Files\Greenstone) a User Account Control dialog will appear as you try to start the Greenstone Librarian Interface, click &lt;<b>Yes</b>&gt; to continue.</Text>
 <Text id="0256">After a short pause a startup screen appears, and then after a slightly longer pause the main Greenstone Librarian Interface appears. (A command prompt is also opened in the background.)</Text>
 </Comment>
@@ -670,5 +579,5 @@
 <NumberedItem>
 <Text id="0275a">Hyperlinks in a Greenstone collection work like this. If the link is to a document that is also in the collection, clicking it takes you to that document in the collection. If the link is to a document that is <i>not</i> in the collection, clicking it takes you to that document on the web.</Text>
-<Text id="0257b">Open <Path>boleyn.html</Path> and look for the link to <Path>Katharine of Aragon</Path> (in the 5th paragraph of the <Path>Biography</Path> section). This links to a document inside the collection--<Path>aragon.html</Path>. View this document by clicking the link. For an external link, click <Path>letters written by Katharine</Path> (in the <Path>Primary Sources</Path> section). This takes you out on to the web. If you want a warning message to be displayed first, you can open <Path>Greenstone &rarr; etc &rarr; main.cfg</Path> file and uncomment the line <Format>cgiarg shortname=el argdefault=prompt</Format>.</Text>
+<Text id="0257b">Go back to the web browser and click the <Path>titles</Path>  link near the top of the page. Open the file <Path>boleyn.html</Path> and look for the link to <Path>Katharine of Aragon</Path> (in the 5th paragraph of the <Path>Biography</Path> section). This links to a document inside the collection--<Path>aragon.html</Path>. View this document by clicking the link. For an external link, click <Path>letters written by Katharine</Path> (in the <Path>Primary Sources</Path> section). This takes you out on to the web. If you want a warning message to be displayed first, you can open <Path>Greenstone &rarr; etc &rarr; main.cfg</Path> file and uncomment the line <Format>cgiarg shortname=el argdefault=prompt</Format>.</Text>
 </NumberedItem>
 <Heading> 
@@ -758,5 +667,5 @@
 </Comment>
 <Comment>
-<Text id="0364">Changes in the <AutoText key="glidict::GUI.Format"/> panel take place immediately and you can see the result straightaway by clicking the <AutoText key="glidict::CreatePane.Preview_Collection"/>. If you modify anything in the <AutoText key="glidict::GUI.Gather"/>, <AutoText key="glidict::GUI.Enrich"/> or <AutoText key="glidict::GUI.Design"/> panels, you will need to rebuild the collection.</Text>
+<Text id="0364">Changes in the <AutoText key="glidict::GUI.Format"/> panel take place immediately and you can see the result straightaway by clicking the <AutoText key="glidict::CreatePane.Preview_Collection"/> button. If you modify anything in the <AutoText key="glidict::GUI.Gather"/>, <AutoText key="glidict::GUI.Enrich"/> or <AutoText key="glidict::GUI.Design"/> panels, you will need to rebuild the collection.</Text>
 </Comment>
 <Heading>