Index: documented-examples/trunk/lomdemo-e/macros/extra.dm
===================================================================
--- documented-examples/trunk/lomdemo-e/macros/extra.dm	(revision 22898)
+++ documented-examples/trunk/lomdemo-e/macros/extra.dm	(revision 22898)
@@ -0,0 +1,149 @@
+
+
+package Global
+
+
+_mdtabtrbg_  {\#f0f0f0}
+_mdtabtdbg_  {\#f0fff0}
+_mdtabtabbg_ {\#f0fff0}
+
+_httpopenmdicon_  {_httpcollection_/images/open.gif}
+_httpclosemdicon_ {_httpcollection_/images/close.gif}
+
+
+
+_mdtexttab_ {<td width=100 style='text-align: center;
+	                           border-left:  1px solid black; 
+		                   border-top:   1px solid black; 
+		                   border-right: 1px solid black'>_1_</td>
+}
+
+_mdtabdip_   {<td width=10  style='border-bottom: 1px solid black; 
+			           background-color: white;'>&nbsp;</td>
+}
+
+_mdtabblank_ {<td width=100 style='border-bottom: 1px solid black; 
+			           background-color: white;'>&nbsp;</td>
+}
+
+_mdtabfill_  {<td           style='border-bottom: 1px solid black; 
+			           background-color: white;'>&nbsp;</td>
+}
+
+_mdhreftab_ {
+  <td width=100 style='text-align: center;
+	               border-left:  1px solid black; 
+		       border-top:   1px solid black; 
+		       border-right: 1px solid black'><a class='mdtablink' href='_gwcgi_?e=_cgiarge_&a=d&d=_cgiargd_&showppmd=_1_&showrawmd=_2_&showtext=_3_'>_4_</a></td>
+}
+
+
+_tableextra_ {
+
+
+<style type="text/css">
+<!--
+
+  table.metadata
+  \{ 
+    border-spacing: 0px
+  \} 
+
+  tr.metadata
+  \{ 
+    text-align: left;
+    background-color: _mdtabtrbg_;
+  \}   
+
+  td.metadata
+  \{ 
+    background-color: _mdtabtdbg_;
+    border-top:  2pt solid white;
+    padding: 2pt;
+  \}
+
+  th.metadata
+  \{ 
+    border-top:  2pt solid white;
+    padding: 2pt;
+  \}
+  
+  a.mdtablink:active  \{ color: \#dfb060; text-decoration: none; \}
+  a.mdtablink:visited \{ color: \#dfb060; text-decoration: none; \}
+  a.mdtablink:link    \{ color: \#dfb060; text-decoration: none; \}
+  a.mdtablink:hover   \{ color: \#9f7030; text-decoration: none; \}
+
+-->
+</style>
+
+
+
+
+}
+
+package Style
+
+_pagebannerextra_ {
+<!--  <a href="_httpcollection_/berry/berry.html",
+   onClick='javascript:window.open("_httpcollection_/berry/berry.html","berry","width=400,height=800,toolbar=no")'
+   target="berry">Launch Berry Basket</a> -->
+}
+
+_pagescriptextra_ {
+
+
+
+
+function openWindow(url) \{
+
+  window.open(url,"berry","width=400,height=300,toolbar=no");
+
+\}
+
+var parenttbody = new Array();
+var tbody       = new Array();
+var aftertbody  = new Array();
+
+
+function showTBodyArea(category) \{
+	parenttbody[category].insertBefore(tbody[category],aftertbody[category]);
+        //document[category+"openclose"].src="_httpopenmdicon_";
+
+        var imgname  = category+"openclose";
+        var linkname = category+"opencloselink";
+
+	var imgel = document.getElementById(imgname);
+	imgel.setAttribute("src","_httpopenmdicon_");
+
+	var linkel = document.getElementById(linkname);
+	linkel.setAttribute("href","javascript:hideTBodyArea('"+category+"')");
+
+        //document.links[category+"opencloselink"].href
+	//  ="javascript:hideTBodyArea('"+category+"')";
+\}
+
+function hideTBodyArea(category) \{
+
+        tbody[category] = document.getElementById(category);
+        parenttbody[category] = tbody[category].parentNode;
+        aftertbody[category] = tbody[category].nextSibling;
+        parenttbody[category].removeChild(tbody[category]);
+
+        var imgname  = category+"openclose";
+        var linkname = category+"opencloselink";
+
+	// alert("document link lookup 3 = " + document.links[linkname]);
+
+	var imgel = document.getElementById(imgname);
+	imgel.setAttribute("src","_httpclosemdicon_");
+
+        // document[category+"openclose"].src="_httpclosemdicon_";
+
+	var linkel = document.getElementById(linkname);
+	linkel.setAttribute("href","javascript:showTBodyArea('"+category+"')");
+
+        //document.links[category+"opencloselink"].href
+	//  ="javascript:showTBodyArea('"+category+"')";
+\}
+
+}