Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 22900)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 22901)
@@ -594,5 +594,5 @@
 </Title>
 <SampleFiles folder="images"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <NumberedItem>
@@ -718,5 +718,5 @@
 </Title>
 <SampleFiles folder="Word_and_PDF"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <Comment>
@@ -819,5 +819,5 @@
 </Title>
 <Prerequisite id="word_pdf_collection"/>
-<Version initial="2.70w" current="2.82"/>
+<Version initial="2.70w" current="2.84"/>
 <Content>
 <Comment>
@@ -939,5 +939,5 @@
 </Title>
 <SampleFiles folder="Word_and_PDF"/>
-<Version initial="2.70" current="2.82"/>
+<Version initial="2.70" current="2.84"/>
 <Content>
 <Text id="ep-2">Greenstone converts PDF files to HTML using third-party software: <AutoText text="pdftohtml.pl" type="italics"/>. This lets users view these documents even if they don't have the PDF software installed. Unfortunately, sometimes the formatting of the resulting HTML files is not so good.</Text>
@@ -1017,14 +1017,8 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ep-23b">For versions before 2.82, you need to change to <AutoText text="Library Systems Specialist"/> mode in order to add two of the same plugin, and use regular expressions in the plugin options (<Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_Options"/> &rarr; <AutoText key="glidict::Preferences.Mode"/></Menu>). </Text>
-<Comment>
-<Text id="ep-23c">For version 2.71, you'll need to close GLI now then restart it to get the list of plugins to update properly.</Text>
-</Comment>
-</NumberedItem>
-<NumberedItem>
 <Text id="ep-24">Switch to the <AutoText key="glidict::CDM.GUI.Plugins"/> section of the <AutoText key="glidict::GUI.Design"/> panel. Add a second PDF plugin by selecting <AutoText text="PDFPlugin"/> from the <AutoText key="glidict::CDM.PlugInManager.PlugIn"/> drop-down list, and clicking <AutoText key="glidict::CDM.PlugInManager.Add" type="button"/>. This plugin will come after the first PDF plugin, so we configure it to process PDF documents as HTML. Set the <AutoText text="convert_to"/> option to <AutoText text="html"/>, and switch on the <AutoText text="use_sections"/> option. Click <AutoText key="glidict::General.OK" type="button"/>.</Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="ep-25">Configure the first PDF plugin, and set the <AutoText text="process_exp"/> option to <AutoText text="'notext.*\.pdf'"/>.</Text>
+<Text id="ep-25">Configure the first PDF plugin, and set the <AutoText text="process_exp"/> option to <AutoText text="&quot;notext.*\.pdf&quot;"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1035,6 +1029,5 @@
 </Format>
 <Text id="ep-27">The <AutoText text="paged_img" type="italics"/> version must come earlier in the list than the <AutoText text="html" type="italics"/> version. The <AutoText text="process_exp"/> for the first <AutoText text="PDFPlugin"/> will process any PDF files in the <Path>notext</Path> directory. The second <AutoText text="PDFPlugin"/> will process any PDF files that are not processed by the first one.</Text>
-<Text id="ep-28">Note that all plugins have the <AutoText text="process_exp"/> option, and this can be used to customize which documents are processed by which plugin. For versions before 2.82, this option is only visible in <AutoText text="Library Systems Specialist"/> and <AutoText key="glidict::Preferences.Mode.Expert"/> modes.</Text>
-<Text id="ep-29">For versions before 2.82, change back to <AutoText key="glidict::Preferences.Mode.Librarian"/> mode.</Text>
+<Text id="ep-28">Note that all plugins have the <AutoText text="process_exp"/> option, and this can be used to customize which documents are processed by which plugin.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1077,5 +1070,5 @@
 <Text id="ew-a">Enhanced Word document handling</Text>
 </Title>
-<Version initial="2.70w" current="2.82"/>
+<Version initial="2.70w" current="2.84"/>
 <Prerequisite id="word_pdf_collection"/>
 <Content>
@@ -1103,8 +1096,5 @@
 </Heading>
 <NumberedItem>
-<Text id="ew-8b">Since versions 2.82, the Librarian Interface operates in three modes, while for versions before 2.82 GLI operates in four modes. Go to <Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_Options"/> &rarr; <AutoText key="glidict::Preferences.Mode"/></Menu> and see the modes and what functionality they provide access to. <AutoText key="glidict::Preferences.Mode.Librarian"/> is the default mode.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="ew-10">For versions before 2.82, change the mode to <AutoText text="Library Systems Specialist"/> because you will need to use regular expressions to set up the style options in the next part of the exercise.</Text>
+<Text id="ew-8b">The Librarian Interface operates in three modes. Go to <Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_Options"/> &rarr; <AutoText key="glidict::Preferences.Mode"/></Menu> and see the modes and what functionality they provide access to. <AutoText key="glidict::Preferences.Mode.Librarian"/> is the default mode.</Text>
 </NumberedItem>
 <Heading>
@@ -1175,12 +1165,9 @@
 <Text id="ew-24"><b>Build</b> and <b>preview</b> the collection. Both <Path>word05.doc</Path> and <Path>word06.doc</Path> should now have only one table of contents.</Text>
 </NumberedItem>
-<NumberedItem>
-<Text id="ew-24a">For versions before 2.82, switch the Librarian Interface back to <AutoText key="glidict::Preferences.Mode.Librarian"/> mode (<Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_Options"/> &rarr; <AutoText key="glidict::Preferences.Mode"/></Menu>).</Text>
-</NumberedItem>
 <Heading>
 <Text id="ew-25">Extracting document properties as metadata</Text>
 </Heading>
 <NumberedItem>
-<Text id="ew-26">When the <AutoText text="windows_scripting"/> option is set, word document properties can be extracted as metadata. By default, only the Title will be extracted. Other properties can be extracted using the <AutoText text="metadata_fields"/>  option.</Text>
+<Text id="ew-26">When the <AutoText text="windows_scripting"/> option is set, word document properties can be extracted as metadata. By default, only the Title will be extracted. Other properties can be extracted using the <AutoText text="metadata_fields"/> option.</Text>
 </NumberedItem>
 <NumberedItem>