Index: /documented-examples/trunk/authen-e/etc/collect.cfg
===================================================================
--- /documented-examples/trunk/authen-e/etc/collect.cfg	(revision 22901)
+++ /documented-examples/trunk/authen-e/etc/collect.cfg	(revision 22902)
@@ -4,6 +4,7 @@
 
 buildtype	mgpp
-
-indexes		text dls.Title,Title dls.Subject dls.Organization dls.Keyword
+infodbtype	gdbm
+
+indexes		text dls.Title,ex.Title dls.Subject dls.Organization dls.Keyword
 
 levels	section document
@@ -15,11 +16,11 @@
 plugin	DirectoryPlugin
 
-classify	List -metadata dls.Title
-
-classify	Hierarchy -metadata "dls.Subject" -sort dls.Title
-
-classify	List -sort_leaf_nodes_using dls.Title -metadata dls.Organization -bookshelf_type always
-
-classify	List -metadata dls.Keyword -buttonname Howto
+classify	List -metadata dls.Title -partition_type_within_level constant_size
+
+classify	Hierarchy -metadata dls.Subject -sort dls.Title
+
+classify	List -sort_leaf_nodes_using dls.Title -metadata dls.Organization -bookshelf_type always -partition_type_within_level constant_size
+
+classify	List -metadata dls.Keyword -partition_type_within_level constant_size -buttonname Howto
 
 format CL4VList "<td>[link][icon][/link]</td><td>[link][dls.Keyword][/link]"
@@ -27,5 +28,5 @@
 format SearchVList "<td valign=top>[link][icon][/link]</td><td>{If}{[parent(All\': \'):Title],[parent(All\': \'):Title]:}[link][Title][/link]</td>"
 
-format VList "<td valign=top>[link][icon][/link]</td><td valign=top>[highlight]{Or}{[Title],Untitled}[/highlight]{If}{[Date],<br><small><i>_textdate_[Date]</i></small>}{If}{[NumPages],<br><small><i>_textnumpages_[NumPages]</i></small>}{If}{[Source],<br><small><i>_textsource_[Source]</i></small>}</td>"
+format VList "<td valign=top>[link][icon][/link]</td><td valign=top>[highlight]{Or}{[Title],Untitled}[/highlight]{If}{[Date],<br><small><i>_textdate_[Date]</i></small>}{If}{[NumPages],<br><small><i>_textnumpages_[NumPages]</i></small>}{If}{[Source],<br><small><i>_textsource_[dmsafe:Source]</i></small>}</td>"
 
 format DocumentText "<h3>[Title]</h3>\\n\\n<p>[Text]"
@@ -47,16 +48,19 @@
 auth_group		demo
 
+# strings that use macros
+# these don't need translating unless you want something different from the
+# default
+collectionmeta	.text [l=en] "_labeltext_"
+collectionmeta	.dls.Title,Title [l=en] "_labelTitle_"
+collectionmeta	.dls.Subject [l=en] "_labelSubject_"
+collectionmeta	.dls.Organization [l=en] "_labelOrganization_"
+collectionmeta	.dls.Keyword [l=en] "_labelHowto_"
+
+collectionmeta	.document [l=en] "_textbook_"
+collectionmeta	.section [l=en] "_textchapter_"
+
 # -- English strings ----------------
 collectionmeta	collectionname [l=en] "Authentication demo"
 
-collectionmeta	.text [l=en] "text"
-collectionmeta	.dls.Title,Title [l=en] "titles"
-collectionmeta	.dls.Subject [l=en] "subjects"
-collectionmeta	.dls.Organization [l=en] "organizations"
-collectionmeta	.dls.Keyword [l=en] "how to"
-
-collectionmeta	.document [l=en] "book"
-collectionmeta	.section [l=en] "chapter"
-
 collectionmeta	depositormetadata [l=en] "{\"name\":\"dls.Title\",\"label\":\"Title\",\"tooltip\":\"dls.Title: The title of this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Organization\",\"label\":\"Organization\",\"tooltip\":\"dls.Organization: The organization responsible for producing this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Subject\",\"label\":\"Subject\",\"tooltip\":\"dls.Subject: The subject of this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Keyword\",\"label\":\"Keyword\",\"tooltip\":\"dls.Keyword: A more specific indication of what the resource can be used for.\",\"type\":\"text\"}, {\"name\":\"dls.Language\",\"label\":\"Language\",\"tooltip\":\"dls.Language: The language of this resource.\",\"type\":\"text\"}"
 
@@ -67,13 +71,4 @@
 collectionmeta	collectionname [l=es] "DemostraciÃ³n de autenticaciÃ³n"
 
-collectionmeta	.text [l=es] "texto"
-collectionmeta	.dls.Title,Title [l=es] "tÃ­tulos"
-collectionmeta	.dls.Subject [l=es] "temas"
-collectionmeta	.dls.Organization [l=es] "Organizaciones"
-collectionmeta	.dls.Keyword [l=es] "cÃ³mo"
-
-collectionmeta	.document [l=es] "libro"
-collectionmeta	.section [l=es] "capÃ­tulo"
-
 # -- Russian strings ----------------
 collectionmeta	collectionname [l=ru] "ÐÐµÐŒÐŸÐœÑÑÑÐ°ÑÐžÑ Ð°ÑÑÐµÐœÑÐžÑÐžÐºÐ°ÑÐžÐž"
@@ -81,13 +76,4 @@
 # -- Simplified Chinese strings ----------------
 collectionmeta	collectionname [l=zh] "è®€è¯æŒç€ºéŠè"
-
-collectionmeta	.text [l=zh] "ææ¬"
-collectionmeta	.dls.Title,Title [l=zh] "é¢å"
-collectionmeta	.dls.Subject [l=zh] "äž»é¢"
-collectionmeta	.dls.Organization [l=zh] "æºæ"
-collectionmeta	.dls.Keyword [l=zh] "åŠäœ"
-
-collectionmeta	.document [l=zh] "ä¹Š"
-collectionmeta	.section [l=zh] "ç« "
 
 # -- English text ----------------