Index: /documented-examples/trunk/style-e/etc/collect.cfg
===================================================================
--- /documented-examples/trunk/style-e/etc/collect.cfg	(revision 22903)
+++ /documented-examples/trunk/style-e/etc/collect.cfg	(revision 22904)
@@ -4,7 +4,7 @@
 
 buildtype	mgpp
-searchtypes	plain,form
-
-indexes		text dls.Title,Title dls.Subject dls.Organization dls.Keyword
+infodbtype	gdbm
+
+indexes		text dls.Title,ex.Title dls.Subject dls.Organization dls.Keyword
 
 levels	section document
@@ -16,11 +16,11 @@
 plugin	DirectoryPlugin
 
-classify	List -metadata dls.Title
+classify	List -metadata dls.Title -partition_type_within_level constant_size
 
 classify	Hierarchy -metadata dls.Subject -sort dls.Title
 
-classify	List -metadata dls.Organization -sort_leaf_nodes_using dls.Title -bookshelf_type always
-
-classify	List -metadata dls.Keyword -buttonname Howto
+classify	List -sort_leaf_nodes_using dls.Title -metadata dls.Organization -bookshelf_type always -partition_type_within_level constant_size
+
+classify	List -metadata dls.Keyword -partition_type_within_level constant_size -buttonname Howto
 
 format CL4VList "<td>[link][icon][/link]</td><td>[link][dls.Keyword][/link]"
@@ -28,5 +28,5 @@
 format SearchVList "<td valign=top>[link][icon][/link]</td><td>{If}{[parent(All\': \'):Title],[parent(All\': \'):Title]:}[link][Title][/link]</td>"
 
-format VList "<td valign=top>[link][icon][/link]</td><td valign=top>[highlight]{Or}{[Title],Untitled}[/highlight]{If}{[Date],<br><small><i>_textdate_[Date]</i></small>}{If}{[NumPages],<br><small><i>_textnumpages_[NumPages]</i></small>}{If}{[Source],<br><small><i>_textsource_[Source]</i></small>}</td>"
+format VList "<td valign=top>[link][icon][/link]</td><td valign=top>[highlight]{Or}{[Title],Untitled}[/highlight]{If}{[Date],<br><small><i>_textdate_[Date]</i></small>}{If}{[NumPages],<br><small><i>_textnumpages_[NumPages]</i></small>}{If}{[Source],<br><small><i>_textsource_[dmsafe:Source]</i></small>}</td>"
 
 format DocumentText "<h3>[Title]</h3>\\n\\n<p>[Text]"
@@ -41,16 +41,19 @@
 format SearchTypes "plain,form"
 
+# strings that use macros
+# these don't need translating unless you want something different from the
+# default
+collectionmeta	.text [l=en] "_labeltext_"
+collectionmeta	.dls.Title,Title [l=en] "_labelTitle_"
+collectionmeta	.dls.Subject [l=en] "_labelSubject_"
+collectionmeta	.dls.Organization [l=en] "_labelOrganization_"
+collectionmeta	.dls.Keyword [l=en] "_labelHowto_"
+
+collectionmeta	.document [l=en] "_textbook_"
+collectionmeta	.section [l=en] "_textchapter_"
+
 # -- English strings ----------------
 collectionmeta	collectionname [l=en] "Cascading Style Sheets<br/> Demo collection"
 
-collectionmeta	.text [l=en] "text"
-collectionmeta	.dls.Title,Title [l=en] "titles"
-collectionmeta	.dls.Subject [l=en] "subjects"
-collectionmeta	.dls.Organization [l=en] "organizations"
-collectionmeta	.dls.Keyword [l=en] "how to"
-
-collectionmeta	.document [l=en] "book"
-collectionmeta	.section [l=en] "chapter"
-
 collectionmeta	depositormetadata [l=en] "{\"name\":\"dls.Title\",\"label\":\"Title\",\"tooltip\":\"dls.Title: The title of this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Organization\",\"label\":\"Organization\",\"tooltip\":\"dls.Organization: The organization responsible for producing this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Subject\",\"label\":\"Subject\",\"tooltip\":\"dls.Subject: The subject of this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Keyword\",\"label\":\"Keyword\",\"tooltip\":\"dls.Keyword: A more specific indication of what the resource can be used for.\",\"type\":\"text\"}, {\"name\":\"dls.Language\",\"label\":\"Language\",\"tooltip\":\"dls.Language: The language of this resource.\",\"type\":\"text\"}"
 
@@ -58,75 +61,9 @@
 collectionmeta	collectionname [l=fr] "DÃ©mo de feuilles de styles en cascade (CSS)"
 
-collectionmeta	.text [l=fr] "texte"
-collectionmeta	.dls.Title,Title [l=fr] "titres"
-collectionmeta	.dls.Subject [l=fr] "sujets"
-collectionmeta	.dls.Organization [l=fr] "organisations"
-collectionmeta	.dls.Keyword [l=fr] "comment faire"
-collectionmeta	.document [l=fr] "livre"
-collectionmeta	.section [l=fr] "chÃ¢pitre"
-
 # -- Spanish strings ----------------
 collectionmeta	collectionname [l=es] "ColecciÃ³n de muestra CSS"
 
-collectionmeta	.text [l=es] "texto"
-collectionmeta	.dls.Title,Title [l=es] "tÃ­tulos"
-collectionmeta	.dls.Subject [l=es] "temas"
-collectionmeta	.dls.Organization [l=es] "organizaciones"
-collectionmeta	.dls.Keyword [l=es] "cÃ³mo"
-collectionmeta	.document [l=es] "libro"
-collectionmeta	.section [l=es] "capÃ­tulo"
-
-# -- Russian strings ----------------
-collectionmeta	.text [l=ru] "ÑÐµÐºÑÑ"
-collectionmeta	.dls.Title,Title [l=ru] "Ð·Ð°Ð³ÐŸÐ»ÐŸÐ²ÐºÐž"
-collectionmeta	.dls.Subject [l=ru] "ÑÐºÐ°Ð·Ð°ÑÐµÐ»Ðž"
-collectionmeta	.dls.Organization [l=ru] "ÐŸÑÐ³Ð°ÐœÐžÐ·Ð°ÑÐžÐž"
-collectionmeta	.dls.Keyword [l=ru] "ÑÐ¿ÐŸÑÐŸÐ±Ñ"
-collectionmeta	.document [l=ru] "ÐºÐœÐžÐ³Ð°"
-collectionmeta	.section [l=ru] "Ð³Ð»Ð°Ð²Ð°"
-
-# -- Arabic strings ----------------
-collectionmeta	.text [l=ar] "ÙØµ"
-collectionmeta	.dls.Title,Title [l=ar] "Ø§ÙØ¹ÙØ§ÙÙÙ"
-collectionmeta	.dls.Subject [l=ar] "Ø§ÙÙ
-ÙØ¶ÙØ¹Ø§Øª"
-collectionmeta	.dls.Organization [l=ar] "Ø§ÙÙ
-ÙØžÙ
-Ø§Øª"
-collectionmeta	.dls.Keyword [l=ar] "Ø¥Ø±ØŽØ§Ø¯"
-collectionmeta	.document [l=ar] "ÙØªØ§Øš"
-collectionmeta	.section [l=ar] "ÙØµÙ"
-
 # -- Simplified Chinese strings ----------------
 collectionmeta	collectionname [l=zh] "å±çº§æ ·åŒè¡š<br/>æŒç€ºéŠè"
-collectionmeta	.text [l=zh] "ææ¬"
-collectionmeta	.dls.Title,Title [l=zh] "é¢å"
-collectionmeta	.dls.Subject [l=zh] "äž»é¢"
-collectionmeta	.dls.Organization [l=zh] "æºæ"
-collectionmeta	.dls.Keyword [l=zh] "åŠäœ"
-
-collectionmeta	.document [l=zh] "ä¹Š"
-collectionmeta	.section [l=zh] "ç« "
-
-# -- Brazilian Portuguese strings ----------------
-collectionmeta	.text [l=pt-br] "texto"
-collectionmeta	.dls.Title,Title [l=pt-br] "tÃ­tulos"
-collectionmeta	.dls.Subject [l=pt-br] "assuntos"
-collectionmeta	.dls.Organization [l=pt-br] "organizaÃ§Ãµes"
-collectionmeta	.dls.Keyword [l=pt-br] "como fazer"
-
-collectionmeta	.document [l=pt-br] "livro"
-collectionmeta	.section [l=pt-br] "capÃ­tulo"
-
-# -- Thai strings ----------------
-collectionmeta	.text [l=th] "àžà¹àž­àžàž§àž²àž¡"
-collectionmeta	.dls.Title,Title [l=th] "àžàž·à¹àž­à¹àž£àž·à¹àž­àž"
-collectionmeta	.dls.Subject [l=th] "àž«àž±àž§à¹àž£àž·à¹àž­àž"
-collectionmeta	.dls.Organization [l=th] "àž«àžà¹àž§àž¢àžàž²àž"
-collectionmeta	.dls.Keyword [l=th] "àž§àžŽàžàžµà¹àžà¹"
-
-collectionmeta	.document [l=th] "àž«àžàž±àžàžªàž·àž­"
-collectionmeta	.section [l=th] "àžàž"
-
 
 # -- English text ---------------------------