Index: documented-examples/trunk/dls-e/etc/collect.cfg
===================================================================
--- documented-examples/trunk/dls-e/etc/collect.cfg	(revision 22904)
+++ documented-examples/trunk/dls-e/etc/collect.cfg	(revision 22905)
@@ -4,5 +4,5 @@
 buildtype	mg
 
-plugin	HTMLPlugin -input_encoding iso_8859_1 -description_tags -OIDtype dirname
+plugin	HTMLPlugin -description_tags -input_encoding iso_8859_1 -OIDtype dirname
 plugin	GreenstoneXMLPlugin
 plugin	MetadataXMLPlugin
@@ -10,10 +10,10 @@
 plugin	DirectoryPlugin
 
-indexes		section:text section:Title document:text
-
-classify	Hierarchy -metadata "dls.Subject" -buttonname Subject -hfile dls.Subject.txt -sort dls.Title
-classify	Hierarchy -metadata dls.AZList -buttonname Title -hfile dls.AZList.txt -hlist_at_top -sort dls.Title
-classify	List -metadata dls.Organization -sort_leaf_nodes_using dls.Title -buttonname Organization -bookshelf_type always
-classify	List -metadata dls.Keyword -buttonname Howto -bookshelf_type never
+indexes		section:text section:ex.Title document:text
+
+classify	Hierarchy -metadata dls.Subject -sort dls.Title -buttonname Subject -hfile dls.Subject.txt
+classify	Hierarchy -metadata dls.AZList -hlist_at_top -sort dls.Title -buttonname Title -hfile dls.AZList.txt
+classify	List -sort_leaf_nodes_using dls.Title -metadata dls.Organization -bookshelf_type always -partition_type_within_level constant_size -buttonname Organization
+classify	List -metadata dls.Keyword -partition_type_within_level constant_size -bookshelf_type never -buttonname Howto
 
 format VList "<td valign=top>[link][icon][/link]</td>
@@ -263,5 +263,5 @@
 \"Animal Husbandry and Animal Product Processing\" 7 \"Animal Husbandry and Animal Product Processing\" \n
 \"Animal Husbandry and Animal Product Processing|Cattle\" 7.1 \"Cattle\" \n
-\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" 7.2 \"Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" \n
+\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, \n silkworms, reptiles, frogs, snails, game, etc.)\" 7.2 \"Other animals (micro-livestock, little known animals, \n silkworms, reptiles, frogs, snails, game, etc.)\" \n
 </pre>
 
@@ -387,5 +387,5 @@
 \"Animal Husbandry and Animal Product Processing\" 7 \"Animal Husbandry and Animal Product Processing\" \n
 \"Animal Husbandry and Animal Product Processing|Cattle\" 7.1 \"Cattle\" \n
-\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" 7.2 \"Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" \n
+\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, \n silkworms, reptiles, frogs, snails, game, etc.)\" 7.2 \"Other animals (micro-livestock, little known animals, \n silkworms, reptiles, frogs, snails, game, etc.)\" \n
 </pre>
 
@@ -503,5 +503,5 @@
 \"Animal Husbandry and Animal Product Processing\" 7 \"Animal Husbandry and Animal Product Processing\" \n
 \"Animal Husbandry and Animal Product Processing|Cattle\" 7.1 \"Cattle\" \n
-\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" 7.2 \"Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" \n
+\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, \n silkworms, reptiles, frogs, snails, game, etc.)\" 7.2 \"Other animals (micro-livestock, little known animals, \n silkworms, reptiles, frogs, snails, game, etc.)\" \n
 </pre>
 
@@ -682,5 +682,5 @@
 \"Animal Husbandry and Animal Product Processing\" 7 \"Animal Husbandry and Animal Product Processing\" \n
 \"Animal Husbandry and Animal Product Processing|Cattle\" 7.1 \"Cattle\" \n
-\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" 7.2 \"Other animals (micro-livestock, little known animals, \n      silkworms, reptiles, frogs, snails, game, etc.)\" \n
+\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, \n silkworms, reptiles, frogs, snails, game, etc.)\" 7.2 \"Other animals (micro-livestock, little known animals, \n silkworms, reptiles, frogs, snails, game, etc.)\" \n
 </pre>
 