Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 22907)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 22908)
@@ -578,5 +578,5 @@
 </Heading>
 <NumberedItem>
-<Text id="0275a">Hyperlinks in a Greenstone collection work like this. If the link is to a document that is also in the collection, clicking it takes you to that document in the collection. If the link is to a document that is <i>not</i> in the collection, clicking it takes you to that document on the web.</Text>
+<Text id="0275a">Hyperlinks in a Greenstone collection work like this: If the link is to a document that is also in the collection, clicking it takes you to that document in the collection. If the link is to a document that is <i>not</i> in the collection, clicking it takes you to that document on the web.</Text>
 <Text id="0257b">Go back to the web browser and click the <Path>titles</Path>  link near the top of the page. Open the file <Path>boleyn.html</Path> and look for the link to <Path>Katharine of Aragon</Path> (in the 5th paragraph of the <Path>Biography</Path> section). This links to a document inside the collection--<Path>aragon.html</Path>. View this document by clicking the link. For an external link, click <Path>letters written by Katharine</Path> (in the <Path>Primary Sources</Path> section). This takes you out on to the web. If you want a warning message to be displayed first, you can open <Path>Greenstone &rarr; etc &rarr; main.cfg</Path> file and uncomment the line <Format>cgiarg shortname=el argdefault=prompt</Format>.</Text>
 </NumberedItem>
@@ -685,5 +685,5 @@
 </Heading>
 <NumberedItem>
-<Text id="0381">Now we'll add a new browsing option based on the descriptions. In the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/> from the left-hand list. Set the menu item for <AutoText key="glidict::CDM.ClassifierManager.Classifier"/> to <AutoText text="List" />; then click <AutoText key="glidict::CDM.ClassifierManager.Add" type="button"/>.</Text>
+<Text id="0381">Now we'll add a new browsing option based on the descriptions. In the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/> from the left-hand list. Set the menu item for <AutoText key="glidict::CDM.ClassifierManager.Classifier"/> to <AutoText text="AZList" />; then click <AutoText key="glidict::CDM.ClassifierManager.Add" type="button"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -700,5 +700,5 @@
 </Heading>
 <NumberedItem>
-<Text id="0385a">Now we'll add an index so that the collection can be searched by descriptions. Switch to the <AutoText key="glidict::GUI.Design"/> panel and select <AutoText key="glidict::CDM.GUI.Indexes"/> from the left-hand list. Click the <AutoText key="glidict::CDM.IndexManager.New_Index" type="button"/> button. Select <AutoText key="metadata::dc.Description"/> from the list of metadata to include in the index, leave <AutoText key="glidict::CDM.IndexManager.Level"/> at its default, "document", and click <AutoText key="glidict::CDM.IndexManager.Add_Index" type="button"/>.</Text>
+<Text id="0385a">Now we'll add an index so that the collection can be searched by descriptions. Switch to the <AutoText key="glidict::GUI.Design"/> panel and select <AutoText key="glidict::CDM.GUI.Indexes"/> from the left-hand list. Click the <AutoText key="glidict::CDM.IndexManager.New_Index" type="button"/> button. Select <AutoText key="metadata::dc.Description"/> from the list of metadata to include in the index and click <AutoText key="glidict::CDM.IndexManager.Add_Index" type="button"/>. Leave <AutoText key="glidict::CDM.IndexManager.Level"/> at its default, "document".</Text>
 </NumberedItem>
 <NumberedItem>
@@ -790,5 +790,5 @@
 </Heading>
 <NumberedItem>
-<Text id="0315a">The <AutoText key="glidict::CDM.GUI.Classifiers"/> section adds "classifiers," which provide the collection with browsing functions. Go to this section and observe that Greenstone has provided two <i>List</i> classifiers, based on <AutoText text="dc.Title;Title"/> and <AutoText key="metadata::ex.Source"/> metadata. These correspond to the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> and <AutoText key="coredm::_Global:labelSource_" type="italics"/> buttons on the collection's access bar. </Text>
+<Text id="0315a">The <AutoText key="glidict::CDM.GUI.Classifiers"/> section adds "classifiers," which provide the collection with browsing functions. Go to this section and observe that Greenstone has provided two <i>List</i> classifiers, based on <AutoText text="dc.Title;ex.Title"/> and <AutoText key="metadata::ex.Source"/> metadata. These correspond to the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> and <AutoText key="coredm::_Global:labelSource_" type="italics"/> buttons on the collection's access bar. </Text>
 <Text id="0315a-1">Remove the <AutoText key="metadata::ex.Source"/> classifier by selecting it and clicking <AutoText key="glidict::CDM.ClassifierManager.Remove" type="button"/>.</Text>
 </NumberedItem>