Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 22908)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 22914)
@@ -1193,8 +1193,8 @@
 <Text id="0403">Exporting a collection to CD-ROM/DVD</Text>
 </Title>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <Comment>
-<Text id="0404">To publish a collection on CD-ROM or DVD, Greenstone's Export to CD-ROM export module must be installed. This is included with CD-ROM distributions, and all distributions 2.70w and later. It must be installed separately for non-CD-ROM versions of Greenstone, version 2.70 and earlier (see <TutorialRef id="install_greenstone"/>).</Text>
+<Text id="0404">Greenstone collections can be published on a self-installing CD-ROM/DVD that works on Windows.</Text>
 </Comment>
 <NumberedItem>
@@ -1218,5 +1218,5 @@
 </Title>
 <SampleFiles folder="tudor"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <Comment>
@@ -1279,5 +1279,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <Comment>
@@ -1336,8 +1336,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0448">For versions before 2.82, this feature is disabled because you are operating in <AutoText key="glidict::Preferences.Mode.Librarian"/> mode (this is indicated in the title bar at the top of the window). Switch to <AutoText text="Library Systems Specialist"/> mode by going to <AutoText key="glidict::Menu.File_Options"/> (on the <AutoText key="glidict::Menu.File"/> menu) and clicking <AutoText key="glidict::Preferences.Mode" type="button"/>. Read about the other modes too.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0449">Return to the <AutoText key="glidict::CDM.GUI.Subcollections"/> section of the <AutoText key="glidict::GUI.Design"/> panel. Ensure that the <AutoText key="glidict::CDM.SubcollectionManager.Subcollection_Controls"/> tab is selected (the default). Define a subcollection filter with name <b>monarchs</b> that matches against <AutoText key="metadata::dc.Subject"/>, and type <b>Monarchs</b> as the regular expression to match with. Click <AutoText key="glidict::CDM.SubcollectionManager.Add" type="button"/>. This filter includes any file whose <AutoText key="metadata::dc.Subject"/> metadata contains the word <i>Monarchs</i>.</Text>
+<Text id="0449">Ensure that the <AutoText key="glidict::CDM.SubcollectionManager.Subcollection_Controls"/> tab is selected (the default). Define a subcollection filter with name <b>monarchs</b> that matches against <AutoText key="metadata::dc.Subject"/>, and type <b>Monarchs</b> as the regular expression to match with. Click <AutoText key="glidict::CDM.SubcollectionManager.Add" type="button"/>. This filter includes any file whose <AutoText key="metadata::dc.Subject"/> metadata contains the word <i>Monarchs</i>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1365,7 +1362,4 @@
 <NumberedItem>
 <Text id="0455a">The text in the drop down box on the search page is based on the filters each partition was built on. To change the text that is displayed, go to the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section of the <AutoText key="glidict::GUI.Format"/> panel. The single filter partitions have sensible default text, but the combined partition does not. Set the <AutoText key="glidict::CDM.SearchMetadataManager.Component_Name"/> for the combined partition to "all". <b>Preview</b> the collection.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0456">For versions before 2.82, now return to <AutoText key="glidict::Preferences.Mode.Librarian"/> mode in the Librarian Interface, using <AutoText key="glidict::Menu.File_Options"/> (on the <AutoText key="glidict::Menu.File"/> menu).</Text>
 </NumberedItem>
 <Heading>
@@ -1391,5 +1385,5 @@
 </Title>
 <Prerequisite id="large_html_collection"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <NumberedItem>
@@ -1485,5 +1479,5 @@
 <Text id="st-1">Section tagging for HTML documents</Text>
 </Title>
-<Version initial="2.70w" current="2.82"/>
+<Version initial="2.70w" current="2.84"/>
 <Content>
 <NumberedItem>
@@ -1541,5 +1535,5 @@
 <Text id="0411">Downloading files from the web</Text>
 </Title>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <Comment>
@@ -1583,5 +1577,5 @@
 </Title>
 <Prerequisite id="downloading_from_internet"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <NumberedItem>
@@ -1617,5 +1611,5 @@
 </Title>
 <SampleFiles folder="marc"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <Comment>
@@ -1774,5 +1768,5 @@
 </Title>
 <SampleFiles folder="isis"/>
-<Version initial="2.70w" current="2.82"/>
+<Version initial="2.70w" current="2.84"/>
 <Content>
 <Comment>
@@ -1836,10 +1830,10 @@
 </Title>
 <SampleFiles folder="custom"/>
-<Version initial="2.70" current="2.82"/>
+<Version initial="2.70" current="2.84"/>
 <Content>
-<Text id="mf-2">The appearance of all pages produced by Greenstone is governed by macro files, which reside in the folder <Path>Greenstone &rarr; macros</Path>, and images and CSS stylesheets reside in <Path>Greenstone &rarr; web &rarr; style</Path> (for versions before 2.82 it's <Path>Greenstone &rarr; images</Path>). </Text>
+<Text id="mf-2">The appearance of all pages produced by Greenstone is governed by macro files, which reside in the folder <Path>Greenstone &rarr; macros</Path>, and images and CSS stylesheets reside in <Path>Greenstone &rarr; web &rarr; style</Path>.</Text>
 <Text id="mf-3">A macro takes the form <Format>_macroname_ {macro value}</Format>. Macro names start and end with underscores (_), and the macro value is enclosed in curly brackets ({}). Macro values can be text or HTML, and can include other macros.</Text>
 <Text id="mf-4">Macros are grouped into packages, and different packages control the appearance of different pages. For example, the <AutoText text="home"/>, <AutoText text="help"/>, <AutoText text="preferences"/>, <AutoText text="query"/>, <AutoText text="document"/> packages control the home, help, preferences, query, and document pages, respectively. Some macro files contain macros for just one package, for example, <Path>home.dm</Path>, <Path>query.dm</Path>, <Path>document.dm</Path>, while others contain macros for many packages. <Path>base.dm</Path> contains macros used globally, <Path>style.dm</Path> controls the common style of each page, <Path>english.dm</Path>, <Path>french.dm</Path> and other language files contain the text fragments for the entire interface, in that language. </Text>
-<Text id="mf-5">The output of the library program is a page of HTML which is viewed in a web browser. CSS (Cascading Style Sheets) are often used alongside HTML pages to control the formatting, such as layout, colour, font etc. The default Greenstone stylesheet is <Path>Greenstone &rarr; web &rarr; style &rarr; style.css</Path> (for versions before 2.82 it's <Path>Greenstone &rarr; images &rarr; style.css</Path>).</Text>
+<Text id="mf-5">The output of the library program is a page of HTML which is viewed in a web browser. CSS (Cascading Style Sheets) are often used alongside HTML pages to control the formatting, such as layout, colour, font etc. The default Greenstone stylesheet is <Path>Greenstone &rarr; web &rarr; style &rarr; style.css</Path>.</Text>
 <Text id="mf-6">In this exercise, we customize the macros, images and stylesheets to change the appearance of our library.</Text>
 <Heading>
@@ -1929,5 +1923,5 @@
 <Text id="mf-17">In the previous exercises we changed a single collection. Now we change all the pages in our Greenstone installation by modifying style and macro files outside the Librarian Interface. First, we format the page so that some other parts are blue. Preview any collection after each change to make sure that it has worked properly. On Windows, macro file changes require a restart of the Greenstone local library server. Stylesheet changes may require a forced reload in the web browser.</Text>
 <NumberedItem>
-<Text id="mf-23">The majority of the style definitions reside in an external style file, <Path>Greenstone &rarr; web &rarr; style &rarr; style.css</Path> (<Path>Greenstone &rarr; images &rarr; style.css</Path> for versions before 2.82), and most style changes involve modifying that file. Open the <Path>style.css</Path> file in a text editor, e.g. WordPad (and save a .backup copy). Make the following modifications. You might want to preview after each one to see the effect.</Text>
+<Text id="mf-23">The majority of the style definitions reside in an external style file, <Path>Greenstone &rarr; web &rarr; style &rarr; style.css</Path>, and most style changes involve modifying that file. Open the <Path>style.css</Path> file in a text editor, e.g. WordPad (and save a .backup copy). Make the following modifications. You might want to preview after each one to see the effect.</Text>
 <Text id="mf-24">Change some of the colours:</Text>
 <BulletList>
@@ -1964,5 +1958,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="mf-8">Now we will customize the default Greenstone header image and the background image. Two new images for this exercise can be found in <Path>sample_files &rarr; custom</Path>. Copy <Path>newbgimg.gif</Path>, <Path>newheadimg.gif</Path> from the <Path>custom</Path> folder into the <Path>Greenstone &rarr; web &rarr; images</Path> (for versions before 2.82 it's <Path>Greenstone &rarr; images</Path>) folder.</Text>
+<Text id="mf-8">Now we will customize the default Greenstone header image and the background image. Two new images for this exercise can be found in <Path>sample_files &rarr; custom</Path>. Copy <Path>newbgimg.gif</Path>, <Path>newheadimg.gif</Path> from the <Path>custom</Path> folder into the <Path>Greenstone &rarr; web &rarr; images</Path> folder.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2043,17 +2037,14 @@
 </Title>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <NumberedItem>
 <Text id="0541">Copy the entire folder</Text>
 <Path>sample_files &rarr; beatles &rarr; advbeat_large</Path> 
-<Text id="0542">(with all its contents) into your Greenstone <Path>collect</Path> folder. If you have installed Greenstone in the usual place, for Greenstone version 2.81 and above, this is</Text>
+<Text id="0542">(with all its contents) into your Greenstone <Path>collect</Path> folder. If you have installed Greenstone in the usual place, this is</Text>
 <Path>
 <Text id="0542a"><Path>My Computer &rarr; Local Disk (C:) &rarr; Users &rarr; &lt;Username&gt; &rarr; collect</Path></Text>
 </Path> 
-<Text id="0542b">where &lt;Username&gt; is the username under with Greenstone is installed. For versions below 2.81, this is</Text>
-<Path>
-<Text id="0542c"><Path>My Computer &rarr; Local Disk (C:) &rarr; Program Files &rarr; Greenstone &rarr; collect</Path></Text>
-</Path>
+<Text id="0542b">where &lt;Username&gt; is the username under with Greenstone is installed.</Text>
 <Text id="0543">Put <Path>advbeat_large</Path> in there.</Text>
 </NumberedItem>