Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 22914)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 22915)
@@ -1866,5 +1866,5 @@
 _footer_ {<br/>
 _pagefooterextra_
-&lt;center&gt;&lt;small&gt;Copyright 2006 My Awesome Digital Library&lt;/small&gt;&lt;/center&gt;
+&lt;center&gt;&lt;small&gt;Copyright 2010 My Awesome Digital Library&lt;/small&gt;&lt;/center&gt;
 _endspacer__htmlfooter_<br/>
 }
@@ -2074,5 +2074,5 @@
 <Prerequisite id="multimedia_collection_explore"/>
 <SampleFiles folder="beatles"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <Comment>
@@ -2086,5 +2086,5 @@
 <Path>sample_files &rarr; beatles &rarr; advbeat_small</Path> 
 <Text id="0555">into your new collection. Do this by opening up <Path>advbeat_small</Path>, selecting the eight items within it (from <Path>discography</Path> to <Path>beatles_midi.zip</Path>), and dragging them across. Because some of these files are in MP3 and MARC formats you will be asked whether to include <AutoText text="MP3Plugin" /> and <AutoText text="MARCPlugin" /> in your collection. Click <AutoText key="glidict::CDM.PlugInManager.QuickAdd" type="button"/>.</Text>
-<Text id="0555a">A window pops up explaining that the import documents contain css files, which none of Greenstone's plugins are expected to process directly. CSS files normally belong to a web page and we don't need to process them directly. Click <AutoText key="glidict::General.OK" type="button"/> button.</Text>
+<Text id="0555a">A window may pop up explaining that the import documents contain css files, which none of Greenstone's plugins are expected to process directly. CSS files normally belong to a web page and we don't need to process them directly. Click <AutoText key="glidict::General.OK" type="button"/> button.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2107,20 +2107,4 @@
 <Text id="0562">Instead, add <AutoText key="metadata::dc.Title"/> metadata for these two files: "Magical Mystery Tour." Change to the <AutoText key="glidict::GUI.Enrich"/> panel, open the discography folder and drill down to the individual files. Set the <AutoText key="metadata::dc.Title"/> value for the two offending items.</Text>
 </NumberedItem>
-<Comment>
-<Text id="0563a">For versions before 2.82, the default <AutoText key="coredm::_Global:labelTitle_" type="italics"/> classifier only uses <AutoText key="metadata::ex.Title"/> metadata. This has been changed since 2.82 version, and the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> classifier now uses both <AutoText key="metadata::dc.Title"/> and <AutoText key="metadata::ex.Title"/>. So the next step only applies to versions before 2.82.</Text>
-<Text id="0563">For pre-2.82 versions, now there's a twist. The <AutoText key="metadata::dc.Title"/> metadata won't appear in <AutoText key="coredm::_Global:labelTitle_" type="italics"/> because the classifier has been instructed to use <AutoText key="metadata::ex.Title"/>. But changing the classifier to use <AutoText key="metadata::dc.Title"/> would miss out all the extracted titles! Fortunately, there's a way of dealing with this by specifying a list of metadata names in the classifier.</Text>
-</Comment>
-<NumberedItem>
-<Text id="0564">Change to the <AutoText key="glidict::GUI.Design"/> panel and select the <AutoText key="glidict::CDM.GUI.Classifiers"/> section. Double-click the <AutoText key="metadata::ex.Title"/> classifier (the first one) to edit its configuration settings.</Text>
-<BulletList>
-<Bullet>
-<Text id="0565">Type <Format><AutoText key="metadata::dc.Title" type="plain"/>,</Format> before the <Format><AutoText key="metadata::ex.Title" type="plain"/></Format> in the metadata box&mdash;i.e. make it read</Text>
-<Format>
-<AutoText key="metadata::dc.Title" type="plain"/>,<AutoText key="metadata::ex.Title" type="plain"/>
-</Format> 
-<Text id="0565a">and click <AutoText key="glidict::General.OK" type="button"/>.</Text>
-</Bullet>
-</BulletList>
-</NumberedItem>
 <NumberedItem>
 <Text id="0566"><b>Build</b> the collection again, and <b>preview</b> it.</Text>
@@ -2146,5 +2130,5 @@
 </Bullet>
 <Bullet>
-<Text id="0574">Add a <AutoText text="List"/> classifier and click the <AutoText text="bookshelf_type"/> and select <AutoText text="always"/> in the drop-down list (or add an <AutoText text="AZCompactList"/> for versions before 2.82). Select <AutoText key="metadata::dc.Format"/> as the <AutoText text="metadata"/> field and specify "browse" as the <AutoText text="buttonname"/>. Click the <AutoText text="sort_leaf_nodes_using"/> checkbox, and select <AutoText key="metadata::ex.Title"/> in the drop-down list: this will make the classifier display documents in alphabetical order of title.</Text>
+<Text id="0574">Add a <AutoText text="List"/> classifier and click the <AutoText text="bookshelf_type"/> and select <AutoText text="always"/> in the drop-down list. Select <AutoText key="metadata::dc.Format"/> as the <AutoText text="metadata"/> field and specify "browse" as the <AutoText text="buttonname"/>. Click the <AutoText text="partition_type_within_level"/> check box and choose <AutoText text="none"/> from the drop-down list. Click the <AutoText text="sort_leaf_nodes_using"/> checkbox, and select <AutoText key="metadata::ex.Title"/> in the drop-down list: this will make the classifier display documents in alphabetical order of title.</Text>
 </Bullet>
 </BulletList>
@@ -2223,5 +2207,5 @@
 </Bullet>
 <Bullet>
-<Text id="0599">Remove the <AutoText key="metadata::dc.Title;Title"/> classifier (at the top)</Text>
+<Text id="0599">Remove the <AutoText key="metadata::dc.Title;ex.Title"/> classifier (at the top)</Text>
 </Bullet>
 <Bullet>