Index: /other-projects/gs2-export-cdrom-installer/trunk/DiskSpace.cpp
===================================================================
--- /other-projects/gs2-export-cdrom-installer/trunk/DiskSpace.cpp	(revision 22918)
+++ /other-projects/gs2-export-cdrom-installer/trunk/DiskSpace.cpp	(revision 22919)
@@ -54,5 +54,5 @@
 }
 
-unsigned double DiskSpace::totalFreeSpace()
+double DiskSpace::totalFreeSpace()
 { 	return this->freeClusters * (((double) (this->sectorsPerCluster * this->bytesPerSector)) / (double) (1024));
 }
Index: /other-projects/gs2-export-cdrom-installer/trunk/DiskSpace.h
===================================================================
--- /other-projects/gs2-export-cdrom-installer/trunk/DiskSpace.h	(revision 22918)
+++ /other-projects/gs2-export-cdrom-installer/trunk/DiskSpace.h	(revision 22919)
@@ -15,5 +15,5 @@
   int 					fileClusters(int fileSize);
   BOOL					initialisedOk();
-  unsigned double totalFreeSpace();
+  double totalFreeSpace();
 };
 
Index: /other-projects/gs2-export-cdrom-installer/trunk/README.txt
===================================================================
--- /other-projects/gs2-export-cdrom-installer/trunk/README.txt	(revision 22918)
+++ /other-projects/gs2-export-cdrom-installer/trunk/README.txt	(revision 22919)
@@ -12,8 +12,14 @@
 cannot be recompiled. (The source for it is in the "really-really-old-stuff" directory.)
 
-The gssetup.exe program can be compiled using Microsoft Visual C++ 4.2 on kohekohe:
+The gssetup.exe program can be compiled using Microsoft Visual Studio 9.0 on the 
+Vista machine as follows:
+[If using Microsoft Visual C++ 4.2 or older, you want to check out an older version 
+of gs2-export-cdrom-installer and follow its README instructions.]
 
-1. C:\MSDEV\bin\VCVARS32.bat
+(0. For windows.h includes:
+call "C:\Program Files\Microsoft SDKs\Windows\v6.1\Bin\SetEnv.cmd")
+1. call "C:\Program Files\Microsoft Visual Studio 9.0\VC\bin\vcvars32.bat"
 2. nmake /f win32.mak (in the gsinstaller directory)
 
-Note: stlport.zip is required for compiling. This file is avaible in Greenstone SVN at http://svn.greenstone.org/gsdl/trunk/packages/windows/stlport/. Download and unzip the zip file, and change the include path in win32.mak accordingly.
+
+
Index: /other-projects/gs2-export-cdrom-installer/trunk/fileCopier.cpp
===================================================================
--- /other-projects/gs2-export-cdrom-installer/trunk/fileCopier.cpp	(revision 22918)
+++ /other-projects/gs2-export-cdrom-installer/trunk/fileCopier.cpp	(revision 22919)
@@ -6,5 +6,9 @@
 #include <direct.h>
 
+#if defined (GSDL_USE_IOS_H)
 #include <fstream.h>
+#else 
+#include <fstream>
+#endif
 
 fileCopySet::fileCopySet()
@@ -185,5 +189,6 @@
       while (here != end)
 	{
-	  this->copy(here, monitor, progressBar);
+		File& file_here = (*here); // to the best of our understanding, this returns a reference to the object (rather than a local copy)
+	  this->copy(&file_here, monitor, progressBar);
 	  here ++;
 	}
@@ -211,10 +216,11 @@
   while (here != end)
     {
-      this->copy(here, monitor, progressBar);
-      here ++;
-    }
-}
-
-unsigned double fileCopySet::getCopiedSize(DiskSpace &space)
+		File& file_here = (*here); // to the best of our understanding, this returns a reference to the object (rather than a local copy)
+		this->copy(&file_here, monitor, progressBar);
+		here ++;
+    }
+}
+
+double fileCopySet::getCopiedSize(DiskSpace &space)
 {
   // initialise counters for size
Index: /other-projects/gs2-export-cdrom-installer/trunk/fileCopier.h
===================================================================
--- /other-projects/gs2-export-cdrom-installer/trunk/fileCopier.h	(revision 22918)
+++ /other-projects/gs2-export-cdrom-installer/trunk/fileCopier.h	(revision 22919)
@@ -29,5 +29,5 @@
   unsigned long getOriginalSize();
   unsigned long getOriginalFiles();
-  unsigned double getCopiedSize(DiskSpace &space);
+  double getCopiedSize(DiskSpace &space);
   bool ensureParent(FilePath &child, fileCopyMonitor *monitor);
   bool copyFile(File *file, fileCopyMonitor *monitor, copyProgressBar *progressBar);
Index: /other-projects/gs2-export-cdrom-installer/trunk/vcinstall.rc
===================================================================
--- /other-projects/gs2-export-cdrom-installer/trunk/vcinstall.rc	(revision 22918)
+++ /other-projects/gs2-export-cdrom-installer/trunk/vcinstall.rc	(revision 22919)
@@ -8,5 +8,8 @@
 // Generated from the TEXTINCLUDE 2 resource.
 //
-#include "afxres.h"
+// afxres.h not part of Visual Studio Express. Changed to windows.h
+// here and in "2 TEXTINCLUDE DISCARDABLE " section
+//#include "afxres.h"
+#include "windows.h"
 
 /////////////////////////////////////////////////////////////////////////////
@@ -35,5 +38,5 @@
 2 TEXTINCLUDE DISCARDABLE 
 BEGIN
-    "#include ""afxres.h""\r\n"
+    "#include ""windows.h""\r\n"
     "\0"
 END
Index: /other-projects/gs2-export-cdrom-installer/trunk/win32.mak
===================================================================
--- /other-projects/gs2-export-cdrom-installer/trunk/win32.mak	(revision 22918)
+++ /other-projects/gs2-export-cdrom-installer/trunk/win32.mak	(revision 22919)
@@ -26,6 +26,6 @@
 CC = cl
 CPPFLAGS = -GX
-DEFS = -DGSDL_NAMESPACE_BROKEN -D__STL_NO_NEW_IOSTREAMS
-INCLUDES = -I"C:\mdewsnip\gsdl-cvs.new\packages\windows\stlport\stlport"
+DEFS = 
+INCLUDES = 
 
 COMPILE = $(CC) -nologo -c $(CPPFLAGS) $(DEFS) $(INCLUDES)