Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 22918)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 22920)
@@ -2602,5 +2602,5 @@
 <SampleFiles folder="niupepa"/>
 <Prerequisite id="scanned_image_collection"/>
-<Version initial="2.70" current="2.82"/>
+<Version initial="2.70" current="2.84"/>
 <Content>
 <Comment>
@@ -2618,4 +2618,5 @@
 <NumberedItem>
 <Text id="sc6">In the <AutoText key="glidict::GUI.Gather"/> panel, add the folder <Path>sample_files &rarr; niupepa &rarr; new_papers &rarr; 12</Path> to your collection. </Text>
+<!--<Text id="sc7">Several windows will pop up asking if you would like to add the ProCitePlugin and the ImagePlugin. Click <AutoText key="glidict::CDM.PlugInManager.Ignore" type="button"/> on each of these windows.</Text>-->
 <Text id="sc9">Inside the <AutoText text="12 "/> folder you can see that there are 4 images and 4 text files.</Text>
 </NumberedItem>
@@ -2730,5 +2731,5 @@
 </Title>
 <SampleFiles folder="oai"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <Comment>
@@ -2736,5 +2737,5 @@
 </Comment>
 <Comment>
-<Text id="0704">One of Greenstone's documented example collections is sourced over OAI. This exercise takes you through the steps necessary to reconstruct it. (Note: this example is a collection of images: you will not be able to build it unless ImageMagick is installed on your computer.) You may wish to take a look at the documented example collection OAI demo now to see what this exercise will build.</Text>
+<Text id="0704">One of Greenstone's documented example collections is sourced over OAI. This exercise takes you through the steps necessary to reconstruct it. You may wish to take a look at the documented example collection OAI demo now to see what this exercise will build.</Text>
 </Comment>
 <NumberedItem>
@@ -2768,5 +2769,5 @@
 </Comment>
 <NumberedItem>
-<Text id="0713">In the <AutoText key="glidict::CDM.GUI.Classifiers"/> section of the <AutoText key="glidict::GUI.Design"/> panel, delete the two <AutoText text="List" /> classifiers (<AutoText key="metadata::dc.Title"/> and <AutoText key="metadata::ex.Source"/>).</Text>
+<Text id="0713">In the <AutoText key="glidict::CDM.GUI.Classifiers"/> section of the <AutoText key="glidict::GUI.Design"/> panel, delete the two <AutoText text="List" /> classifiers (<AutoText key="metadata::dc.Title;ex.Title"/> and <AutoText key="metadata::ex.Source"/>).</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2834,5 +2835,5 @@
 </Title>
 <Prerequisite id="OAI_collection"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <Comment>
@@ -2914,5 +2915,5 @@
 <Text id="0750">Use METS as Greenstone's Internal Representation</Text>
 </Title>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <NumberedItem>
@@ -2944,5 +2945,5 @@
 </Title>
 <SampleFiles folder="dspace"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <NumberedItem>
@@ -2987,5 +2988,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0779">Go back to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/>. Select the <AutoText key="metadata::ex.Source"/> <AutoText text="List" /> classifier and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. Change the <AutoText text="metadata"/> option to <AutoText key="metadata::dc.Contributor"/>. Activate the <AutoText text="bookshelf_type"/> option and set its value to <AutoText text="always"/>.</Text>
+<Text id="0779">Go back to the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/>. Select the <AutoText key="metadata::ex.Source"/> <AutoText text="List" /> classifier and click <AutoText key="glidict::CDM.ClassifierManager.Configure" type="button"/>. Change the <AutoText text="metadata"/> option to <AutoText key="metadata::dc.Contributor"/>. Activate the <AutoText text="bookshelf_type"/> option and set its value to <AutoText text="always"/>. Activate the <AutoText text="partition_type_within_level"/> option and set it to <AutoText text="none"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3025,5 +3026,5 @@
 </Title>
 <Prerequisite id="dspace_to_greenstone"/>
-<Version initial="2.60" current="2.82"/>
+<Version initial="2.60" current="2.84"/>
 <Content>
 <Comment>