Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 22920)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 22922)
@@ -1690,5 +1690,5 @@
 <NumberedItem>
 <Text id="0533-11"><b>Rebuild</b> and <b>preview</b> the collection. You will notice that the <AutoText key="coredm::_Global:labelSubject_" type="italics"/> classifier is empty, searching no longer returns any results, and the document display is useless.</Text>
-<Text id="0533-11b">Although the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> classifier was built on <AutoText key="metadata::ex.Title"/>, it still displays the correct titles, but in the <AutoText key="glidict::GUI.Enrich"/> panel you can see the <AutoText key="metadata::ex.Title"/> metadata are actually the filenames rather than titles of the MARC records. This is because the default <AutoText text="VList"/> format uses the <AutoText key="metadata::exp.Title"/> metadata. In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select <AutoText text="VList"/> in the list of assigned format statements. The resulting format statement looks like:</Text>
+<Text id="0533-11b">Although the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> classifier was built on <AutoText key="metadata::ex.Title"/>, it still displays the correct titles, but in the <AutoText key="glidict::GUI.Enrich"/> panel you can see the <AutoText key="metadata::ex.Title"/> metadata are actually the filenames rather than titles of the MARC records. This is because the default <AutoText text="VList"/> format uses the <AutoText key="metadata::exp.Title"/> metadata. In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select <AutoText text="VList"/> in the list of assigned format statements. The format statement looks like:</Text>
 <Format>
 &lt;td valign="top"&gt;[link][icon][/link]&lt;/td&gt;<br/>
@@ -1719,5 +1719,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0533-15">To explicitly use the <AutoText key="metadata::exp.Title"/> metadata, in the <AutoText key="glidict::CDM.GUI.Classifiers"/> section, change the <AutoText text="dc.Title;Title"/> <AutoText text="List"/> to use <AutoText key="metadata::exp.Title"/> metadata. Double click the <AutoText text="dc.Title;Title"/> <AutoText text="List"/> in the <AutoText key="glidict::CDM.ClassifierManager.Assigned"/> list, and change the <AutoText text="metadata"/> option to use <AutoText key="metadata::exp.Title"/>. Click <AutoText key="glidict::General.OK" type="button"/>. Do the same thing for the Subject <AutoText text="AZCompactList"/>, changing <AutoText key="metadata::dc.Subject"/> to <AutoText key="metadata::exp.Subject"/>.</Text>
+<Text id="0533-15">To explicitly use the <AutoText key="metadata::exp.Title"/> metadata, in the <AutoText key="glidict::CDM.GUI.Classifiers"/> section, change the <AutoText text="dc.Title;ex.Title"/> <AutoText text="List"/> to use <AutoText key="metadata::exp.Title"/> metadata. Double click the <AutoText text="dc.Title;ex.Title"/> <AutoText text="List"/> in the <AutoText key="glidict::CDM.ClassifierManager.Assigned"/> list, and change the <AutoText text="metadata"/> option to use <AutoText key="metadata::exp.Title"/>. Click <AutoText key="glidict::General.OK" type="button"/>. Do the same thing for the Subject <AutoText text="AZCompactList"/>, changing <AutoText key="metadata::dc.Subject"/> to <AutoText key="metadata::exp.Subject"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1968,11 +1968,11 @@
 <Format>
 &lt;style type="text/css"&gt;<br/>
-body.bgimage \{ background-image: url("_httpimg_/chalk.gif"); \}<br/>
+body.bgimage \{ background-image: url("_httpimg_/chalk.gif"); scroll repeat-y left top; \}<br/>
 </Format>
 <Text id="mf-12">Use copy and paste on the <Format>body.bgimage</Format> line to make it look like this: </Text>
 <Format>
 &lt;style type="text/css"&gt;<br/>
-/*body.bgimage \{ background-image: url("_httpimg_/chalk.gif"); \}*/<br/>
-body.bgimage \{ background-image: url("_httpimg_/newbgimg.gif"); \}<br/>
+/*body.bgimage \{ background-image: url("_httpimg_/chalk.gif"); scroll repeat-y left top; \}*/<br/>
+body.bgimage \{ background-image: url("_httpimg_/newbgimg.gif"); scroll repeat-y left top; \}<br/>
 </Format>
 <Text id="mf-13">Here we are changing the background image for the <Format>bgimage</Format> section of the <Format>body</Format> of the page to <Format>newbgimg.gif</Format>.</Text>
@@ -2020,5 +2020,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="mf-67">Once you have identified the names of the images to be replaced, you need to find out where they occur in the macro files. To do this, search the macro files for the image names using the <AutoText text="find"/> program, which is run in a command prompt. Open a command prompt using <Menu>Start &rarr; Programs &rarr; Accessories &rarr; Command Prompt</Menu>, or <Menu>Start &rarr; Run</Menu> and enter <Command>cmd</Command> as the name of the program to run.</Text>
+<Text id="mf-67">Once you have identified the names of the images to be replaced, you need to find out where they occur in the macro files. To do this on Windows, you would search the macro files for the image names using the <AutoText text="find"/> program, which is run in a command prompt. Open a command prompt using <Menu>Start &rarr; Programs &rarr; Accessories &rarr; Command Prompt</Menu>, or <Menu>Start &rarr; Run</Menu> and enter <Command>cmd</Command> as the name of the program to run.</Text>
 <Text id="mf-68">You can type <Command>find/?</Command> to see a description of the program and its arguments.</Text>
 <Text id="mf-69">To search the macro files for <i><AutoText text="gsdlhead.gif" /></i> type</Text>
@@ -2050,5 +2050,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0544">On Windows, if the Greenstone Digital Library Local Library Server is already running, re-start it by clicking the world icon on the task bar and then pressing <i>Restart Library</i>. On Linux and Mac, just do a forced reload/refresh of the web browser. On Linux and Mac, just do a forced reload/refresh of the web browser (eg. by pressing Ctrl and the refresh button in Firefox to do a forced reload). If the Local Library Server hasn't been started yet, start it up by selecting <i>Greenstone Digital Library</i> from the <i>Start</i> menu on Windows, or run <Path>./gs-server.sh</Path> on Linux and Mac.</Text>
+<Text id="0544">On Windows, if the Greenstone Digital Library Local Library Server is already running, re-start it by clicking the world icon on the task bar and then pressing <i>Restart Library</i>. On Linux and Mac, just do a forced reload/refresh of the web browser (eg. by pressing Shift and the refresh button in Firefox to do a forced reload). If the Local Library Server hasn't been started yet, start it up by selecting <i>Greenstone Digital Library</i> from the <i>Start</i> menu on Windows, or run <Path>./gs-server.sh</Path> on Linux and Mac.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2188,6 +2188,8 @@
 [srclink][srcicon][/srclink],<br/>
 {If}{[dc.Format] eq 'Images',<br/> 
-[srclink][thumbicon][/srclink],<br/> 
-[link][icon][/link]}}&lt;/td&gt; <br/>
+[srclink][thumbicon][/srclink],<br/>
+{If}{[dc.Format] eq 'Supplementary',<br/>
+[srclink][srcicon][/srclink] [link][icon][/link],
+[link][icon][/link]}}}&lt;/td&gt; <br/>
 &lt;td valign=top&gt;[highlight]<br/>
 {Or}{[dc.Title],[exp.Title],[ex.Title],Untitled}<br/>
@@ -2232,5 +2234,7 @@
 {If}{[dc.Format] eq 'Images',<br/> 
 [srclink][thumbicon][/srclink],<br/> 
-[link][icon][/link]}}&lt;/td&gt;<br/> 
+{If}{[dc.Format] eq 'Supplementary',
+[srclink][srcicon][/srclink] [link][icon][/link],
+[link][icon][/link]}}}&lt;/td&gt;<br/> 
 <highlight>&lt;td&gt;{If}{[numleafdocs],([numleafdocs])}&lt;/td&gt;</highlight><br/> 
 &lt;td valign=top&gt;[highlight]<br/>