Index: main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml
===================================================================
--- main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 22878)
+++ main/trunk/release-kits/kits/rk2/ant-scripts/compile.xml	(revision 22938)
@@ -52,10 +52,10 @@
 		<if><bool><or><equals arg1="${rk.os}" arg2="mac"/><equals arg1="${rk.os}" arg2="linux"/></or></bool>
 			<!-- checkout the gnome support library extension-->
-			<echo>GNOME LIB EXTENSION START</echo>
-			<!--<if><bool><and>
-				<not><equals arg1="${branch.path}" arg2="trunk"/></not>
-				<not><equals arg1="${branch.path}" arg2="tags/stable"/></not>
+			<if><bool><or>
+				<equals arg1="${branch.path}" arg2="trunk"/>
+				<equals arg1="${branch.path}" arg2="tags/stable"/>
 				<isgreaterthan arg1="${branch.tag.version}" arg2="2.83"/>
-			</and></bool>-->
+			</or></bool>
+				<echo>COMPILING GNOME LIB EXTENSION</echo>
 				<exec executable="svn">
 					<arg value="checkout"/>
@@ -67,6 +67,6 @@
 					<arg value="./CASCADE-MAKE.sh"/>
 				</exec>
-			<!--</if>-->
-			<echo>GNOME LIB EXTENSION END</echo>
+				<echo>DONE COMPILING GNOME LIB EXTENSION</echo>
+			</if>
 		</if>
 		
@@ -167,13 +167,12 @@
 			<exec dir="${basedir}/compiled" executable="${basedir}/compiled/configure" failonerror="true">
 				<arg line="--enable-apache-httpd"/>
-				<env key="PATH" value="${basedir}/compiled/ext/gnome-lib/linux/bin:${env.PATH}"/> 
-				<env key="CFLAGS" value="-I${basedir}/compiled/ext/gnome-lib/linux/include"/>
-				<env key="CXXFLAGS" value="-I${basedir}/compiled/ext/gnome-lib/linux/include"/>
-				<env key="CPPFLAGS" value="-I${basedir}/compiled/ext/gnome-lib/linux/include"/>
-				<env key="LDFLAGS" value="-static -L${basedir}/compiled/ext/gnome-lib/linux/lib"/>
+				<arg line="PATH=&quot;${basedir}/compiled/ext/gnome-lib/linux/bin:${env.PATH}&quot;"/>
+				<arg line="CFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib/linux/include&quot;"/>
+				<arg line="CPPFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib/linux/include&quot;"/>
+				<arg line="CXXFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib/linux/include&quot;"/>
+				<arg line="LDFLAGS=&quot;-static -L${basedir}/compiled/ext/gnome-lib/linux/lib&quot;"/>
 			</exec>
 
 			<!-- add -static to makefiles -->
-			<rsr file="${basedir}/compiled/build-src/packages/wv/wv-gs/GNUmakefile" pattern="^LDFLAGS =.*$" replacement="LDFLAGS = -static" />
 			<rsr file="${basedir}/compiled/build-src/packages/xlhtml/xlhtml-0.4.9.0/xlhtml/Makefile" pattern="^LDFLAGS =.*$" replacement="LDFLAGS = -static"/>
 			<rsr file="${basedir}/compiled/build-src/packages/xlhtml/xlhtml-0.4.9.0/ppthtml/Makefile" pattern="^LDFLAGS =.*$" replacement="LDFLAGS = -static"/>
@@ -185,9 +184,9 @@
 			<exec dir="${basedir}/compiled" executable="${basedir}/compiled/configure" failonerror="true">
 				<arg line="--enable-apache-httpd"/>
-				<env key="PATH" value="${basedir}/compiled/ext/gnome-lib/darwin/bin:${env.PATH}"/> 
-				<env key="CFLAGS" value="-I${basedir}/compiled/ext/gnome-lib/darwin/include"/>
-				<env key="CXXFLAGS" value="-I${basedir}/compiled/ext/gnome-lib/darwin/include"/>
-				<env key="CPPFLAGS" value="-I${basedir}/compiled/ext/gnome-lib/darwin/include"/>
-				<env key="LDFLAGS" value="-L${basedir}/compiled/ext/gnome-lib/darwin/lib"/>
+				<arg line="PATH=&quot;${basedir}/compiled/ext/gnome-lib/linux/bin:${env.PATH}&quot;"/>
+				<arg line="CFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib/linux/include&quot;"/>
+				<arg line="CPPFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib/linux/include&quot;"/>
+				<arg line="CXXFLAGS=&quot;-I${basedir}/compiled/ext/gnome-lib/linux/include&quot;"/>
+				<arg line="LDFLAGS=&quot;-L${basedir}/compiled/ext/gnome-lib/linux/lib&quot;"/>
 			</exec>
 
@@ -201,11 +200,5 @@
 		<if><bool><or><equals arg1="${rk.os}" arg2="mac"/><equals arg1="${rk.os}" arg2="linux"/></or></bool>
 			<!-- make -->
-			<exec dir="${basedir}/compiled" executable="make" failonerror="true">
-				<env key="PATH" value="${basedir}/compiled/ext/gnome-lib/${os.shell}/bin:${env.PATH}"/> 
-				<env key="CFLAGS" value="-I${basedir}/compiled/ext/gnome-lib/${os.shell}/include"/>
-				<env key="CXXFLAGS" value="-I${basedir}/compiled/ext/gnome-lib/${os.shell}/include"/>
-				<env key="CPPFLAGS" value="-I${basedir}/compiled/ext/gnome-lib/${os.shell}/include"/>
-				<env key="LDFLAGS" value="-static -L${basedir}/compiled/ext/gnome-lib/${os.shell}/lib"/>
-			</exec>
+			<exec dir="${basedir}/compiled" executable="make" failonerror="true"/>
 
 			<!-- make install -->
@@ -370,12 +363,10 @@
 			<!-- grab imagemagick and wv binaries -->
 			<delete dir="compiled/bin/linux/imagemagick"/>
-			<delete dir="compiled/bin/linux/wv"/>
-
-			<if><bool><and>
-				<not><equals arg1="${branch.path}" arg2="trunk"/></not>
-				<not><equals arg1="${branch.path}" arg2="tags/stable"/></not>
+
+			<if><bool><or>
+				<equals arg1="${branch.path}" arg2="trunk"/>
+				<equals arg1="${branch.path}" arg2="tags/stable"/>
 				<isgreaterthan arg1="${branch.tag.version}" arg2="2.83"/>
-			</and></bool>
-
+			</or></bool>
 				<exec executable="svn">
 					<arg value="export"/>
@@ -384,11 +375,6 @@
 				</exec>
 
-				<exec executable="svn">
-					<arg value="export"/>
-					<arg value="${svn.root}/main/${branch.path}/binaries/linux/wv"/>
-					<arg value="compiled/bin/linux/wv"/>
-				</exec>
-
 				<else>
+					<delete dir="compiled/bin/linux/wv"/>	
 					<exec executable="svn">
 						<arg value="export"/>