Index: documentation/trunk/tutorial_sample_files/beatles/advbeat_large/advbeat_large.col
===================================================================
--- documentation/trunk/tutorial_sample_files/beatles/advbeat_large/advbeat_large.col	(revision 22946)
+++ 	(revision )
@@ -1,21 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE GathererCollection [
-  <!ELEMENT GathererCollection (Argument*, GathererConfig, BuildConfig)>
-  <!ELEMENT GathererConfig    (Arguments*)>
-  <!ELEMENT BuildConfig       (Build, Import)>
-  <!ELEMENT Build             (Arguments*)>
-  <!ELEMENT Import            (Arguments*)>
-  <!ELEMENT Argument          (#PCDATA)>
-  <!ATTLIST Argument
-            name              CDATA #REQUIRED
-	    enabled           CDATA "true">
-]>
-<GathererCollection>
-  <Argument name="built">true</Argument>
-  <Argument name="imported">true</Argument>
-  <GathererConfig/>
-  <BuildConfig>
-    <Build/>
-    <Import/>
-  </BuildConfig>
-</GathererCollection>
Index: documentation/trunk/tutorial_sample_files/beatles/advbeat_large/etc/collect.cfg
===================================================================
--- documentation/trunk/tutorial_sample_files/beatles/advbeat_large/etc/collect.cfg	(revision 22946)
+++ documentation/trunk/tutorial_sample_files/beatles/advbeat_large/etc/collect.cfg	(revision 22947)
@@ -3,26 +3,29 @@
 public		true
 
+buildtype	mg
+
 beta		false
 
-indexes		document:text document:Title document:Source
+indexes		document:text document:ex.Title document:ex.Source
 defaultindex	document:text
 
-plugin		ZIPPlug
-plugin		GAPlug
-plugin		TEXTPlug
-plugin		HTMLPlug -smart_block
-plugin		ImagePlug
-plugin		EMAILPlug
-plugin		PDFPlug
-plugin		RTFPlug
-plugin		WordPlug
-plugin		PSPlug
-plugin		MARCPlug
-plugin		MP3Plug
-plugin		UnknownPlug -file_format MIDI -mime_type audio/midi -process_exp \.mid$ 
-plugin		ArcPlug 
-plugin		RecPlug -use_metadata_files 
+plugin	ZIPPlugin
+plugin	GreenstoneXMLPlugin
+plugin	TextPlugin
+plugin	HTMLPlugin -smart_block
+plugin	ImagePlugin
+plugin	EmailPlugin
+plugin	PDFPlugin
+plugin	RTFPlugin
+plugin	WordPlugin
+plugin	PostScriptPlugin
+plugin	MARCPlugin
+plugin	MP3Plugin
+plugin	UnknownPlugin -process_exp \.mid$ -mime_type audio/midi -file_format MIDI
+plugin	MetadataXMLPlugin
+plugin	ArchivesInfPlugin
+plugin	DirectoryPlugin
 
-classify	AZCompactList -metadata dc.Title,Title -minnesting 20 -removesuffix "(?i)(\\s+\\d+)|(\\s*[[:punct:]]\\s+.*)|(\\s*by the beatles\\s*)" -firstvalueonly -mingroup 1 -removeprefix (?i)\\s*beatles\\s+\\-\\s+ -buttonname Title
+classify	AZCompactList -mingroup 1 -metadata dc.Title,Title -minnesting 20 -firstvalueonly -removesuffix "(?i)(\\s+\\d+)|(\\s*[[:punct:]]\\s+.*)|(\\s*by the beatles\\s*)" -buttonname Title -removeprefix (?i)\\s*beatles\\s+\\-\\s+
 classify	AZCompactList -metadata dc.Format -buttonname Browse -sort Title
 # classify	Phind
@@ -52,9 +55,15 @@
 </td>"
 
+format DocumentHeading "{Or}{[parent(Top):Title],[Title],untitled}<br>"
+
+format DocumentText "[Text]"
+
+format DocumentButtons "Detach|Highlight"
+
 collectionmeta	.document:text [l=en] "text"
 collectionmeta	.document:Title [l=en] "titles"
 collectionmeta	.document:Source [l=en] "filenames"
 collectionmeta	collectionname [l=en] "Advanced Beatles -- large"
-collectionmeta	collectionextra [l=en] "Demonstration collection illustrating the use of heterogeneous documents.  Source document are about
+collectionmeta	collectionextra [l=en] "Demonstration collection illustrating the use of heterogeneous documents. Source document are about
 The Beatles pop group in the following formats: HTML, TXT, JPEG, Word, PDF, MIDI, MP3, and MARC file formats."
 collectionmeta	iconcollection [l=en] "_httpprefix_/collect/advbeat_large/images/beatlesmm.png"
Index: documentation/trunk/tutorial_sample_files/beatles/advbeat_large/gli.col
===================================================================
--- documentation/trunk/tutorial_sample_files/beatles/advbeat_large/gli.col	(revision 22947)
+++ documentation/trunk/tutorial_sample_files/beatles/advbeat_large/gli.col	(revision 22947)
@@ -0,0 +1,31 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE GathererCollection [
+  <!ELEMENT GathererCollection (Argument*, GathererConfig, BuildConfig)>
+  <!ELEMENT GathererConfig    (Arguments*)>
+  <!ELEMENT BuildConfig       (Build, Import)>
+  <!ELEMENT Build             (Arguments*)>
+  <!ELEMENT Import            (Arguments*)>
+  <!ELEMENT Schedule          (Arguments*)>
+  <!ELEMENT Argument          (#PCDATA)>
+  <!ATTLIST Argument
+            name              CDATA #REQUIRED
+	    enabled           CDATA "true">
+]>
+<GathererCollection>
+    <Argument name="built">true</Argument>
+    <Argument name="imported">true</Argument>
+    <GathererConfig/>
+    <BuildConfig>
+        <Build>
+            <Argument enabled="false" name="sections_index_document_metadata">never</Argument>
+        </Build>
+        <Import>
+            <Argument enabled="false" name="maxdocs">1</Argument>
+            <Argument enabled="false" name="OIDtype">hash</Argument>
+            <Argument enabled="false" name="OIDmetadata"/>
+            <Argument enabled="false" name="sortmeta"/>
+            <Argument enabled="false" name="groupsize">1</Argument>
+        </Import>
+        <Schedule/>
+    </BuildConfig>
+</GathererCollection>
Index: documentation/trunk/tutorial_sample_files/beatles/advbeat_large/index/build.cfg
===================================================================
--- documentation/trunk/tutorial_sample_files/beatles/advbeat_large/index/build.cfg	(revision 22947)
+++ documentation/trunk/tutorial_sample_files/beatles/advbeat_large/index/build.cfg	(revision 22947)
@@ -0,0 +1,11 @@
+builddate	1285210665
+buildtype	mg
+indexmap	document:text->dte	document:Title->dti	document:Source->dso
+indexstem	advbeat_large
+infodbtype	gdbm
+maxnumeric	4
+numbytes	1752277
+numdocs	436
+numsections	436
+numwords	270077
+stemindexes	3