Index: /main/trunk/greenstone2/build-src/packages/isis-gdl/win32.mak
===================================================================
--- /main/trunk/greenstone2/build-src/packages/isis-gdl/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/build-src/packages/isis-gdl/win32.mak	(revision 22960)
@@ -12,6 +12,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
Index: /main/trunk/greenstone2/build-src/src/hashfile/win32.mak
===================================================================
--- /main/trunk/greenstone2/build-src/src/hashfile/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/build-src/src/hashfile/win32.mak	(revision 22960)
@@ -34,6 +34,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
Index: /main/trunk/greenstone2/build-src/src/phind/generate/win32.mak
===================================================================
--- /main/trunk/greenstone2/build-src/src/phind/generate/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/build-src/src/phind/generate/win32.mak	(revision 22960)
@@ -35,6 +35,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
@@ -45,5 +47,4 @@
 !ENDIF
 
-LDFLAGS =
 DEFS = -D__WIN32__
 INCLUDES =
Index: /main/trunk/greenstone2/common-src/indexers/packages/unac/win32.mak
===================================================================
--- /main/trunk/greenstone2/common-src/indexers/packages/unac/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/common-src/indexers/packages/unac/win32.mak	(revision 22960)
@@ -13,6 +13,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
Index: /main/trunk/greenstone2/common-src/packages/gdbm/gdbm-1.8.3/win32.mak
===================================================================
--- /main/trunk/greenstone2/common-src/packages/gdbm/gdbm-1.8.3/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/common-src/packages/gdbm/gdbm-1.8.3/win32.mak	(revision 22960)
@@ -33,11 +33,12 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
 DEFS = -D__WIN32__ -D_CRT_SECURE_NO_DEPRECATE
 INCLUDES = -I"windows"
-LDFLAGS =
 
 COMPILE = $(CC) -nologo -c $(CXXFLAGS) $(DEFS) $(INCLUDES)
Index: /main/trunk/greenstone2/common-src/src/gdbmedit/db2txt/win32.mak
===================================================================
--- /main/trunk/greenstone2/common-src/src/gdbmedit/db2txt/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/common-src/src/gdbmedit/db2txt/win32.mak	(revision 22960)
@@ -37,6 +37,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
@@ -47,5 +49,4 @@
 !ENDIF
 
-LDFLAGS =
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -D_CRT_SECURE_NO_DEPRECATE
Index: /main/trunk/greenstone2/common-src/src/gdbmedit/gdbmdel/win32.mak
===================================================================
--- /main/trunk/greenstone2/common-src/src/gdbmedit/gdbmdel/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/common-src/src/gdbmedit/gdbmdel/win32.mak	(revision 22960)
@@ -38,6 +38,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
@@ -48,5 +50,4 @@
 !ENDIF
 
-LDFLAGS =
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H
Index: /main/trunk/greenstone2/common-src/src/gdbmedit/gdbmget/win32.mak
===================================================================
--- /main/trunk/greenstone2/common-src/src/gdbmedit/gdbmget/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/common-src/src/gdbmedit/gdbmget/win32.mak	(revision 22960)
@@ -38,6 +38,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
@@ -48,5 +50,4 @@
 !ENDIF
 
-LDFLAGS =
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H
Index: /main/trunk/greenstone2/common-src/src/gdbmedit/gdbmkeys/win32.mak
===================================================================
--- /main/trunk/greenstone2/common-src/src/gdbmedit/gdbmkeys/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/common-src/src/gdbmedit/gdbmkeys/win32.mak	(revision 22960)
@@ -38,6 +38,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt 
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
@@ -48,5 +50,4 @@
 !ENDIF
 
-LDFLAGS =
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H
Index: /main/trunk/greenstone2/common-src/src/gdbmedit/gdbmset/win32.mak
===================================================================
--- /main/trunk/greenstone2/common-src/src/gdbmedit/gdbmset/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/common-src/src/gdbmedit/gdbmset/win32.mak	(revision 22960)
@@ -38,6 +38,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
@@ -48,5 +50,4 @@
 !ENDIF
 
-LDFLAGS =
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H
Index: /main/trunk/greenstone2/common-src/src/gdbmedit/txt2db/win32.mak
===================================================================
--- /main/trunk/greenstone2/common-src/src/gdbmedit/txt2db/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/common-src/src/gdbmedit/txt2db/win32.mak	(revision 22960)
@@ -37,6 +37,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt 
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
@@ -47,5 +49,4 @@
 !ENDIF
 
-LDFLAGS =
 
 DEFS = -D__WIN32__ -DHAVE_CONFIG_H -D_CRT_SECURE_NO_DEPRECATE
Index: /main/trunk/greenstone2/common-src/src/getpw/win32.mak
===================================================================
--- /main/trunk/greenstone2/common-src/src/getpw/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/common-src/src/getpw/win32.mak	(revision 22960)
@@ -38,6 +38,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
Index: /main/trunk/greenstone2/runtime-src/src/oaiservr/win32.mak
===================================================================
--- /main/trunk/greenstone2/runtime-src/src/oaiservr/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/runtime-src/src/oaiservr/win32.mak	(revision 22960)
@@ -53,6 +53,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
@@ -144,5 +146,4 @@
 	$(GDBM_INCLUDES) \
 	-I"$(COMMON_PACKAGES_DIR)\expat\include"
-LDFLAGS = 
 LIBS = "$(COMMON_PACKAGES_DIR)\windows\crypt\crypt\crypt.lib" "$(COMMON_PACKAGES_DIR)\expat\lib\libexpat.lib" \
         $(GDBM_LIBS) $(ACCENTFOLD_LIBS) $(SQLITE_LIBS)
@@ -158,5 +159,5 @@
 
 COMPILE = $(CC) -nologo -c $(CXXFLAGS) $(DEFS) $(INCLUDES)
-LINK = $(CC) -nologo -Fe"$@" 
+LINK = $(CC) -nologo $(LDFLAGS) -Fe"$@"
 
 
Index: /main/trunk/greenstone2/runtime-src/src/recpt/win32.mak
===================================================================
--- /main/trunk/greenstone2/runtime-src/src/recpt/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/runtime-src/src/recpt/win32.mak	(revision 22960)
@@ -55,6 +55,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
@@ -192,5 +194,4 @@
 	$(GDBM_INCLUDES) \
 	$(Z3950_INCLUDES)
-LDFLAGS = -Z7 /errorReport:prompt
 LIBS = "$(COMMON_PACKAGES_DIR)\windows\crypt\crypt\crypt.lib" "$(COMMON_PACKAGES_DIR)\expat\lib\libexpat.lib" \
        $(GDBM_LIBS) $(ACCENTFOLD_LIBS) $(SQLITE_LIBS) $(Z3950_LIBS)
@@ -206,5 +207,5 @@
 
 COMPILE = $(CC) -nologo -c $(CXXFLAGS) $(DEFS) $(INCLUDES)
-LINK = $(CC) -nologo -Fe"$@" $(LDFLAGS)
+LINK = $(CC) -nologo $(LDFLAGS) -Fe"$@"
 
 
Index: /main/trunk/greenstone2/runtime-src/src/w32apachectl/win32.mak
===================================================================
--- /main/trunk/greenstone2/runtime-src/src/w32apachectl/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/runtime-src/src/w32apachectl/win32.mak	(revision 22960)
@@ -51,6 +51,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS =
 !ENDIF
 
Index: /main/trunk/greenstone2/runtime-src/src/z3950/win32.mak
===================================================================
--- /main/trunk/greenstone2/runtime-src/src/z3950/win32.mak	(revision 22959)
+++ /main/trunk/greenstone2/runtime-src/src/z3950/win32.mak	(revision 22960)
@@ -51,6 +51,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS = 
 !ENDIF
 
@@ -142,5 +144,4 @@
 	-I"$(PACKAGES_DIR)\yaz\yaz-2.1.4\client" -I"$(PACKAGES_DIR)\d2m" \
 	$(GDBM_INCLUDES)
-LDFLAGS = 
 LIBS = "$(COMMON_PACKAGES_DIR)\expat\lib\libexpat.lib" $(GDBM_LIBS) \
         "$(PACKAGES_DIR)\d2m\libd2m.lib" "$(PACKAGES_DIR)\yaz\yaz-2.1.4\lib\yaz.lib" $(ACCENTFOLD_LIBS) \
@@ -154,5 +155,5 @@
 
 COMPILE = $(CC) -nologo -c $(CXXFLAGS) $(DEFS) $(INCLUDES)
-LINK = $(CC) -nologo -Fe"$@" $(LDFLAGS)
+LINK = $(CC) -nologo $(LDFLAGS) -Fe"$@"
 
 
Index: /main/trunk/search4j/win32.mak
===================================================================
--- /main/trunk/search4j/win32.mak	(revision 22959)
+++ /main/trunk/search4j/win32.mak	(revision 22960)
@@ -33,6 +33,8 @@
 !IF $(DEBUG)
 CXXFLAGS = -DEBUG -Z7 /errorReport:prompt
+LDFLAGS = -DEBUG -Z7 /errorReport:prompt
 !ELSE
 CXXFLAGS =
+LDFLAGS = 
 !ENDIF
 